import React from 'react';
import FileSaver from 'file-saver';
import PropTypes from 'prop-types';
import Button from '../Common/Button.js';
import Styles from './IconButton.styles.scss.js';
import IconDownload from '../../icons/IconDownload.js';
import Tooltip from '../Common/Tooltip/Tooltip.js';
import { EMPTY_NETWORK_HAR } from '../../constants.js';

var ExportHarButton = function ExportHarButton(_ref) {
  var rawData = _ref.rawData;
  var downloadHar = function downloadHar() {
    var formattedHar = JSON.stringify(rawData, null, 2);
    FileSaver.saveAs(new Blob([formattedHar]), 'network.har');
  };
  return /*#__PURE__*/React.createElement(Tooltip, {
    title: "Export HAR"
  }, /*#__PURE__*/React.createElement(Button, {
    className: Styles['icon-button'],
    onClick: downloadHar
  }, /*#__PURE__*/React.createElement(IconDownload, {
    className: Styles['action-icon']
  })));
};
ExportHarButton.propTypes = {
  rawData: PropTypes.object
};
ExportHarButton.defaultProps = {
  rawData: EMPTY_NETWORK_HAR
};

export { ExportHarButton as default };
//# sourceMappingURL=ExportHarButton.js.map
