import { slicedToArray as _slicedToArray } from '../../_virtual/_rollupPluginBabelHelpers.js';
import React, { useState } from 'react';
import Button from '../Common/Button.js';
import Styles from './IconButton.styles.scss.js';
import IconPause from '../../icons/IconPause.js';
import { useNetwork } from '../../state/network/Context.js';
import IconResume from '../../icons/IconResume.js';
import Tooltip from '../Common/Tooltip/Tooltip.js';

var PauseResumeButton = function PauseResumeButton() {
  var _useNetwork = useNetwork(),
    callbacks = _useNetwork.callbacks;
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    isPaused = _useState2[0],
    setIsPaused = _useState2[1];
  var pause = function pause() {
    setIsPaused(true);
    callbacks.onPause();
  };
  var resume = function resume() {
    setIsPaused(false);
    callbacks.onResume();
  };
  return /*#__PURE__*/React.createElement(Tooltip, {
    title: isPaused ? 'Resume' : 'Pause'
  }, /*#__PURE__*/React.createElement(Button, {
    className: Styles['icon-button'],
    onClick: isPaused ? resume : pause
  }, isPaused ? /*#__PURE__*/React.createElement(IconResume, {
    className: Styles['action-icon']
  }) : /*#__PURE__*/React.createElement(IconPause, {
    className: Styles['action-icon']
  })));
};

export { PauseResumeButton as default };
//# sourceMappingURL=PauseResumeButton.js.map
