import React from 'react';
import Button from '../Common/Button.js';
import IconReset from '../../icons/IconReset.js';
import Styles from './IconButton.styles.scss.js';
import { useNetwork } from '../../state/network/Context.js';
import Tooltip from '../Common/Tooltip/Tooltip.js';
import { useTheme } from '../../state/theme/Context.js';

var ResetButton = function ResetButton() {
  var _useNetwork = useNetwork(),
    actions = _useNetwork.actions,
    callbacks = _useNetwork.callbacks;
  var _useTheme = useTheme(),
    showImportHar = _useTheme.showImportHar;
  var handleReset = function handleReset() {
    actions.resetState();
    callbacks.onReset();
    if (showImportHar) {
      window.history.pushState({}, document.title, '/');
    }
  };
  return /*#__PURE__*/React.createElement(Tooltip, {
    title: "Reset"
  }, /*#__PURE__*/React.createElement(Button, {
    className: Styles['icon-button'],
    onClick: handleReset
  }, /*#__PURE__*/React.createElement(IconReset, {
    className: Styles['action-icon']
  })));
};

export { ResetButton as default };
//# sourceMappingURL=ResetButton.js.map
