import { objectWithoutProperties as _objectWithoutProperties, extends as _extends } from '../../_virtual/_rollupPluginBabelHelpers.js';
import React, { forwardRef } from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames/bind';
import Styles from './Button.styles.scss.js';

var _excluded = ["children", "className", "disabled", "href", "variant"];
var context = classNames.bind(Styles);
var Button = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var children = _ref.children,
    className = _ref.className,
    disabled = _ref.disabled,
    href = _ref.href,
    variant = _ref.variant,
    props = _objectWithoutProperties(_ref, _excluded);
  var combinedClasses = context('btn', className, {
    'text-variant': variant === 'text'
  });
  var TagName = href && !disabled ? 'a' : 'button';
  return /*#__PURE__*/React.createElement(TagName, _extends({
    ref: ref,
    className: combinedClasses,
    disabled: disabled,
    href: href
  }, props), children);
});
Button.propTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.any,
  disabled: PropTypes.bool,
  href: PropTypes.string,
  type: PropTypes.oneOf(['submit', 'reset', 'button', 'menu']),
  variant: PropTypes.oneOf(['default', 'text'])
};
Button.defaultProps = {
  className: null,
  disabled: false,
  href: null,
  type: 'button',
  variant: 'default'
};

export { Button as default };
//# sourceMappingURL=Button.js.map
