import { objectWithoutProperties as _objectWithoutProperties, extends as _extends, defineProperty as _defineProperty } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React, { forwardRef } from 'react';
import { useTooltip } from '@react-aria/tooltip';
import { mergeProps } from '@react-aria/utils';
import classnames from 'classnames';
import PropTypes from 'prop-types';
import Styles from './Tooltip.styles.scss.js';

var _excluded = ["state", "className", "children", "isOpen"];
var TooltipLabel = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var state = _ref.state,
    className = _ref.className,
    children = _ref.children,
    isOpen = _ref.isOpen,
    props = _objectWithoutProperties(_ref, _excluded);
  var _useTooltip = useTooltip(props, state),
    tooltipProps = _useTooltip.tooltipProps;
  return /*#__PURE__*/React.createElement("div", _extends({
    ref: ref,
    className: classnames(Styles['tooltip-label'], _defineProperty({}, Styles['tooltip-visible'], isOpen))
  }, mergeProps(props, tooltipProps)), /*#__PURE__*/React.createElement("span", {
    className: classnames(className, Styles['tooltip-label-box'])
  }, children));
});
TooltipLabel.propTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  isOpen: PropTypes.bool,
  state: PropTypes.object.isRequired
};
TooltipLabel.defaultProps = {
  className: '',
  isOpen: false
};

export { TooltipLabel as default };
//# sourceMappingURL=TooltipLabel.js.map
