import { slicedToArray as _slicedToArray } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import { OverlayContainer } from '@react-aria/overlays';
import React, { useState } from 'react';
import { Transition } from 'react-transition-group';
import PropTypes from 'prop-types';

var OPEN_STATES = {
  entering: false,
  entered: true
};
var TooltipTransition = function TooltipTransition(props) {
  var children = props.children,
    isOpen = props.isOpen;
  var _useState = useState(!isOpen),
    _useState2 = _slicedToArray(_useState, 2),
    exited = _useState2[0],
    setExited = _useState2[1];
  var handleEntered = function handleEntered() {
    return setExited(false);
  };
  var handleExited = function handleExited() {
    return setExited(true);
  };

  // Don't un-render the overlay while it's transitioning out.
  var mountOverlay = isOpen || !exited;
  if (!mountOverlay) {
    // Don't bother showing anything if we don't have to.
    return null;
  }
  return /*#__PURE__*/React.createElement(Transition, {
    appear: true,
    "in": isOpen,
    onEntered: handleEntered,
    onExited: handleExited,
    timeout: {
      enter: 50,
      exit: 350
    }
  }, function (state) {
    return React.Children.map(children, function (child) {
      return /*#__PURE__*/React.createElement(OverlayContainer, null, /*#__PURE__*/React.isValidElement(child) && ( /*#__PURE__*/React.cloneElement(child, {
        isOpen: !!OPEN_STATES[state]
      })));
    });
  });
};
TooltipTransition.propTypes = {
  children: PropTypes.node.isRequired,
  isOpen: PropTypes.bool.isRequired
};

export { TooltipTransition as default };
//# sourceMappingURL=TooltipTransition.js.map
