import React from 'react';
import PropTypes from 'prop-types';
import Styles from './Search.styles.scss.js';
import { useNetwork } from '../../state/network/Context.js';

var Search = function Search(_ref) {
  var name = _ref.name,
    value = _ref.value;
  var _useNetwork = useNetwork(),
    actions = _useNetwork.actions;
  var handleInputChange = function handleInputChange(_ref2) {
    var target = _ref2.target;
    actions.updateSearch({
      name: name,
      value: target.value
    });
  };
  return /*#__PURE__*/React.createElement("input", {
    className: Styles['search-input'],
    name: "search",
    onChange: handleInputChange,
    placeholder: "Search by URL",
    type: "text",
    value: value
  });
};
Search.propTypes = {
  name: PropTypes.string.isRequired,
  value: PropTypes.string
};
Search.defaultProps = {
  value: ''
};

export { Search as default };
//# sourceMappingURL=Search.js.map
