import React from 'react';
import classNames from 'classnames/bind';
import { useNetwork } from '../../state/network/Context.js';
import Button from '../Common/Button.js';
import { TYPE_FILTERS } from '../../constants.js';
import Styles from '../../Containers/FilterContainer.styles.scss.js';

var context = classNames.bind(Styles);
var TypeFilter = function TypeFilter() {
  var _useNetwork = useNetwork(),
    state = _useNetwork.state,
    actions = _useNetwork.actions;
  var filter = state.get('typeFilter');
  return TYPE_FILTERS.map(function (_ref) {
    var name = _ref.name,
      filterBy = _ref.filterBy;
    var selectedFilter = filterBy.value === filter.value;
    return /*#__PURE__*/React.createElement(Button, {
      key: name,
      className: context({
        active: selectedFilter
      }),
      onClick: function onClick() {
        return actions.updateTypeFilter(filterBy);
      },
      variant: "text"
    }, name);
  });
};

export { TypeFilter as default };
//# sourceMappingURL=TypeFilter.js.map
