import { slicedToArray as _slicedToArray } from '../../_virtual/_rollupPluginBabelHelpers.js';
import React, { useState } from 'react';
import { stringify } from 'qs';
import Styles from './URLInput.styles.scss.js';
import Button from '../Common/Button.js';
import CORSCheckbox from './CORSCheckbox.js';

var URLInput = function URLInput() {
  var _useState = useState(''),
    _useState2 = _slicedToArray(_useState, 2),
    url = _useState2[0],
    setURL = _useState2[1];
  var _useState3 = useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    isCORSEnabled = _useState4[0],
    setCORS = _useState4[1];
  var handleInputChange = function handleInputChange(_ref) {
    var target = _ref.target;
    setURL(target.value);
  };
  var handleSubmit = function handleSubmit() {
    var _document$location = document.location,
      origin = _document$location.origin,
      pathname = _document$location.pathname;
    var newURL = "".concat(origin).concat(pathname, "?").concat(stringify({
      file: url,
      isCORSEnabled: isCORSEnabled
    }));
    document.location.href = newURL;
  };
  return /*#__PURE__*/React.createElement("div", {
    className: Styles['url-input-container']
  }, /*#__PURE__*/React.createElement(CORSCheckbox, {
    isEnabled: isCORSEnabled,
    onChange: setCORS
  }), /*#__PURE__*/React.createElement("input", {
    className: Styles.input,
    name: "har-url",
    onChange: handleInputChange,
    placeholder: "HAR file URL",
    type: "text",
    value: url
  }), /*#__PURE__*/React.createElement(Button, {
    className: Styles['postpend-button'],
    onClick: handleSubmit
  }, "GO"));
};

export { URLInput as default };
//# sourceMappingURL=URLInput.js.map
