import { slicedToArray as _slicedToArray } from '../../_virtual/_rollupPluginBabelHelpers.js';
import React from 'react';
import classNames from 'classnames/bind';
import Styles from './NetworkTable.styles.scss.js';
import { useNetwork } from '../../state/network/Context.js';
import { useTheme } from '../../state/theme/Context.js';
import { getViewerFields } from '../../utils.js';

var context = classNames.bind(Styles);
var NetworkTableHeader = function NetworkTableHeader() {
  var _useNetwork = useNetwork(),
    state = _useNetwork.state;
  var showReqDetail = state.get('showReqDetail');
  var tableHeaderWidth = state.get('tableHeaderWidth');
  var _useTheme = useTheme(),
    showWaterfall = _useTheme.showWaterfall;
  var columns = getViewerFields(showReqDetail, showWaterfall);
  return /*#__PURE__*/React.createElement("div", {
    className: Styles['network-table-header'],
    style: {
      width: tableHeaderWidth
    }
  }, Object.entries(columns).map(function (_ref) {
    var _ref2 = _slicedToArray(_ref, 2),
      datakey = _ref2[0],
      _ref2$ = _ref2[1],
      key = _ref2$.key,
      name = _ref2$.name;
    return /*#__PURE__*/React.createElement("div", {
      key: key,
      className: context('table-column', 'value-cell', datakey, {
        'limited-cols': showReqDetail
      }, {
        'show-waterfall': showWaterfall
      })
    }, name);
  }));
};

export { NetworkTableHeader as default };
//# sourceMappingURL=NetworkTableHeader.js.map
