import { extends as _extends } from '../../_virtual/_rollupPluginBabelHelpers.js';
import React, { useMemo } from 'react';
import PropTypes from 'prop-types';
import { calcChartAttributes } from '../../utils.js';
import { TIME_CHART_SVG_PROPS, TIME_CHART_DEFAULT_PROPS } from '../../constants.js';
import TimeChartTooltip from './TimeChartTooltip.js';
import Tooltip from '../Common/Tooltip/Tooltip.js';
import Styles from './TimeChart.styles.scss.js';

var TimeChart = function TimeChart(_ref) {
  var timings = _ref.timings,
    maxTime = _ref.maxTime;
  var chartAttributes = useMemo(function () {
    return calcChartAttributes(timings, maxTime);
  }, [timings, maxTime]);
  return /*#__PURE__*/React.createElement(Tooltip, {
    className: Styles['time-chart-tooltip'],
    delay: 300,
    placement: "left",
    title: /*#__PURE__*/React.createElement(TimeChartTooltip, {
      data: timings
    })
  }, /*#__PURE__*/React.createElement("svg", TIME_CHART_SVG_PROPS, /*#__PURE__*/React.createElement("g", null, chartAttributes.map(function (chartProps) {
    return /*#__PURE__*/React.createElement("rect", _extends({
      key: chartProps.key
    }, chartProps, TIME_CHART_DEFAULT_PROPS));
  }))));
};
TimeChart.propTypes = {
  maxTime: PropTypes.number.isRequired,
  timings: PropTypes.object.isRequired
};

export { TimeChart as default };
//# sourceMappingURL=TimeChart.js.map
