import { slicedToArray as _slicedToArray } from '../../_virtual/_rollupPluginBabelHelpers.js';
import React, { useState, useRef } from 'react';
import PropTypes from 'prop-types';
import Button from '../Common/Button.js';
import Styles from './CopyAllButton.styles.scss.js';
import IconCopy from '../../icons/IconCopy.js';
import IconCheckMark from '../../icons/IconCheckMark.js';

var CopyAllButton = function CopyAllButton(_ref) {
  var text = _ref.text;
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    isCopied = _useState2[0],
    setIsCopied = _useState2[1];
  var timeoutRef = useRef(null);
  var copy = function copy() {
    navigator.clipboard.writeText(text);
    setIsCopied(true);
    if (timeoutRef.current) {
      clearTimeout(timeoutRef.current);
    }
    timeoutRef.current = setTimeout(function () {
      setIsCopied(false);
    }, 5000);
  };
  return /*#__PURE__*/React.createElement(Button, {
    className: Styles['copy-button'],
    onClick: copy,
    variant: "text"
  }, isCopied ? /*#__PURE__*/React.createElement(IconCheckMark, {
    className: Styles['copy-icon']
  }) : /*#__PURE__*/React.createElement(IconCopy, {
    className: Styles['copy-icon']
  }), /*#__PURE__*/React.createElement("span", {
    className: Styles['copy-text']
  }, isCopied ? 'Copied!' : 'Copy All'));
};
CopyAllButton.propTypes = {
  text: PropTypes.any
};
CopyAllButton.defaultProps = {
  text: ''
};

export { CopyAllButton as default };
//# sourceMappingURL=CopyAllButton.js.map
