import React from 'react';
import PropTypes from 'prop-types';
import General from './headers/General.js';
import ResponseHeaders from './headers/ResponseHeaders.js';
import RequestHeaders from './headers/RequestHeaders.js';
import SectionInfo from './SectionInfo.js';
import Styles from './ReqDetail.styles.scss.js';

var Headers = function Headers(_ref) {
  var data = _ref.data;
  return !data ? null : /*#__PURE__*/React.createElement("section", {
    className: Styles['section-container']
  }, /*#__PURE__*/React.createElement(SectionInfo, {
    component: General,
    data: data,
    eventKey: "general",
    isVisible: true
  }), /*#__PURE__*/React.createElement(SectionInfo, {
    component: RequestHeaders,
    data: data,
    eventKey: "requestHeaders"
  }), /*#__PURE__*/React.createElement(SectionInfo, {
    component: ResponseHeaders,
    data: data,
    eventKey: "responseHeaders"
  }));
};
Headers.propTypes = {
  data: PropTypes.object
};
Headers.defaultProps = {
  data: null
};

export { Headers as default };
//# sourceMappingURL=Headers.js.map
