import React from 'react';
import PropTypes from 'prop-types';
import QueryString from './request/QueryString.js';
import FormData from './request/FormData.js';
import SectionInfo from './SectionInfo.js';
import Styles from './ReqDetail.styles.scss.js';
import RequestPayload from './request/RequestPayload.js';

var Request = function Request(_ref) {
  var _data$headers$postDat, _data$headers$postDat2, _data$headers$querySt;
  var data = _ref.data;
  if (!((_data$headers$postDat = data.headers.postData) !== null && _data$headers$postDat !== void 0 && _data$headers$postDat.text) && !((_data$headers$postDat2 = data.headers.postData) !== null && _data$headers$postDat2 !== void 0 && _data$headers$postDat2.params) && !((_data$headers$querySt = data.headers.queryString) !== null && _data$headers$querySt !== void 0 && _data$headers$querySt.length)) {
    return /*#__PURE__*/React.createElement("h4", {
      className: Styles['no-payload']
    }, "This request has no request data available.");
  }
  return !data ? null : /*#__PURE__*/React.createElement("section", {
    className: Styles['section-container']
  }, data.headers.postData && data.headers.postData.text && /*#__PURE__*/React.createElement(SectionInfo, {
    component: RequestPayload,
    data: data,
    eventKey: "requestPayload",
    isParseEnabled: true,
    isVisible: true
  }), data.headers.queryString && !!data.headers.queryString.length && /*#__PURE__*/React.createElement(SectionInfo, {
    component: QueryString,
    data: data,
    eventKey: "queryString",
    isEncodeEnabled: true
  }), data.headers.postData && data.headers.postData.params && /*#__PURE__*/React.createElement(SectionInfo, {
    component: FormData,
    data: data,
    eventKey: "formData",
    isEncodeEnabled: true
  }));
};
Request.propTypes = {
  data: PropTypes.object
};
Request.defaultProps = {
  data: null
};

export { Request as default };
//# sourceMappingURL=Request.js.map
