import React from 'react';
import PropTypes from 'prop-types';
import Styles from './ReqDetail.styles.scss.js';
import CopyAllButton from './CopyAllButton.js';

var NoResponseText = function NoResponseText() {
  return /*#__PURE__*/React.createElement("h4", {
    className: Styles['no-payload']
  }, "This request has no response data available.");
};
var Response = function Response(_ref) {
  var data = _ref.data;
  var content = data && data.body ? data.body : null;
  if (!content) {
    return /*#__PURE__*/React.createElement(NoResponseText, null);
  }
  return /*#__PURE__*/React.createElement("div", {
    className: Styles['section-detail']
  }, /*#__PURE__*/React.createElement("div", {
    className: Styles['payload-content']
  }, /*#__PURE__*/React.createElement("div", {
    className: Styles['copy-button']
  }, /*#__PURE__*/React.createElement(CopyAllButton, {
    text: content
  })), /*#__PURE__*/React.createElement("span", {
    className: Styles['payload-body']
  }, content)));
};
Response.propTypes = {
  data: PropTypes.object
};
Response.defaultProps = {
  data: null
};

export { Response as default };
//# sourceMappingURL=Response.js.map
