import { slicedToArray as _slicedToArray } from '../../_virtual/_rollupPluginBabelHelpers.js';
import React, { useState } from 'react';
import PropTypes from 'prop-types';
import SectionTitle from './SectionTitle.js';

var SectionInfo = function SectionInfo(_ref) {
  var eventKey = _ref.eventKey,
    data = _ref.data,
    component = _ref.component,
    isEncodeEnabled = _ref.isEncodeEnabled,
    isParseEnabled = _ref.isParseEnabled,
    isVisible = _ref.isVisible;
  var _useState = useState(isVisible),
    _useState2 = _slicedToArray(_useState, 2),
    isOpen = _useState2[0],
    setIsOpen = _useState2[1];
  var _useState3 = useState(true),
    _useState4 = _slicedToArray(_useState3, 2),
    isPayloadTransformed = _useState4[0],
    updateTransform = _useState4[1];
  var handlePayloadTransform = function handlePayloadTransform() {
    return updateTransform(!isPayloadTransformed);
  };
  var ChildComponent = function ChildComponent() {
    return component({
      data: data,
      isPayloadTransformed: isPayloadTransformed,
      onChangeEncode: handlePayloadTransform
    });
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(SectionTitle, {
    eventKey: eventKey,
    isEncodeEnabled: isEncodeEnabled,
    isOpen: isOpen,
    isParseEnabled: isParseEnabled,
    isPayloadTransformed: isPayloadTransformed,
    onClick: function onClick() {
      return setIsOpen(!isOpen);
    },
    onPayloadTransform: handlePayloadTransform
  }), isOpen && /*#__PURE__*/React.createElement(ChildComponent, null));
};
SectionInfo.propTypes = {
  component: PropTypes.func.isRequired,
  data: PropTypes.object,
  eventKey: PropTypes.string.isRequired,
  isEncodeEnabled: PropTypes.bool,
  isParseEnabled: PropTypes.bool,
  isVisible: PropTypes.bool
};
SectionInfo.defaultProps = {
  data: null,
  isEncodeEnabled: false,
  isParseEnabled: false,
  isVisible: false
};

export { SectionInfo as default };
//# sourceMappingURL=SectionInfo.js.map
