import React from 'react';
import PropTypes from 'prop-types';
import { SECTION_TITLES, PAYLOAD_CAPTIONS } from '../../constants.js';
import Styles from './ReqDetail.styles.scss.js';
import IconCaretDown from '../../icons/IconCaretDown.js';
import IconCaretRight from '../../icons/IconCaretRight.js';

var SectionTitle = function SectionTitle(_ref) {
  var _onClick = _ref.onClick,
    eventKey = _ref.eventKey,
    isEncodeEnabled = _ref.isEncodeEnabled,
    isOpen = _ref.isOpen,
    onPayloadTransform = _ref.onPayloadTransform,
    isPayloadTransformed = _ref.isPayloadTransformed,
    isParseEnabled = _ref.isParseEnabled;
  var payloadStatus = PAYLOAD_CAPTIONS[isParseEnabled ? 'parse' : 'encode'][isPayloadTransformed];
  return /*#__PURE__*/React.createElement("div", {
    className: Styles['section-title-row']
  }, /*#__PURE__*/React.createElement("span", {
    className: Styles['section-title'],
    onClick: function onClick() {
      return _onClick(SECTION_TITLES[eventKey].key);
    },
    role: "button",
    tabIndex: 0
  }, isOpen ? /*#__PURE__*/React.createElement(IconCaretDown, {
    className: Styles['caret-icon']
  }) : /*#__PURE__*/React.createElement(IconCaretRight, {
    className: Styles['caret-icon']
  }), SECTION_TITLES[eventKey].name), (isEncodeEnabled || isParseEnabled) && /*#__PURE__*/React.createElement("span", {
    className: Styles['encode-url'],
    onClick: onPayloadTransform,
    role: "button",
    tabIndex: 0
  }, "view ".concat(payloadStatus)));
};
SectionTitle.propTypes = {
  eventKey: PropTypes.string.isRequired,
  isEncodeEnabled: PropTypes.bool,
  isOpen: PropTypes.bool,
  isParseEnabled: PropTypes.bool,
  isPayloadTransformed: PropTypes.bool,
  onClick: PropTypes.func.isRequired,
  onPayloadTransform: PropTypes.func.isRequired
};
SectionTitle.defaultProps = {
  isEncodeEnabled: false,
  isOpen: false,
  isParseEnabled: false,
  isPayloadTransformed: true
};

export { SectionTitle as default };
//# sourceMappingURL=SectionTitle.js.map
