import React, { useMemo } from 'react';
import PropTypes from 'prop-types';
import Styles from '../ReqDetail.styles.scss.js';
import { parseRequestPayload } from '../../../utils.js';
import CopyAllButton from '../CopyAllButton.js';

var RequestPayload = function RequestPayload(_ref) {
  var data = _ref.data,
    isPayloadTransformed = _ref.isPayloadTransformed;
  var payloadData = data.headers.postData.text;
  var parsedData = useMemo(function () {
    return parseRequestPayload(payloadData);
  }, [payloadData]);
  var payload = isPayloadTransformed ? parsedData : payloadData;
  return /*#__PURE__*/React.createElement("div", {
    className: Styles['section-detail']
  }, /*#__PURE__*/React.createElement("div", {
    className: Styles['payload-content']
  }, /*#__PURE__*/React.createElement("div", {
    className: Styles['copy-button']
  }, /*#__PURE__*/React.createElement(CopyAllButton, {
    text: payload
  })), /*#__PURE__*/React.createElement("div", {
    className: Styles['payload-body']
  }, payload)));
};
RequestPayload.propTypes = {
  data: PropTypes.object,
  isPayloadTransformed: PropTypes.bool.isRequired
};
RequestPayload.defaultProps = {
  data: null
};

export { RequestPayload as default };
//# sourceMappingURL=RequestPayload.js.map
