import React from 'react';
import Search from '../Components/Filters/Search.js';
import Styles from './FilterContainer.styles.scss.js';
import ResetButton from '../Components/Actions/ResetButton.js';
import StatusFilter from '../Components/Filters/StatusFilter.js';
import ExportHarButton from '../Components/Actions/ExportHarButton.js';
import PauseResumeButton from '../Components/Actions/PauseResumeButton.js';
import TypeFilter from '../Components/Filters/TypeFilter.js';
import ImportHar from '../Components/Import/ImportHAR.js';
import { useTheme } from '../state/theme/Context.js';
import { useNetwork } from '../state/network/Context.js';

var FilterContainer = function FilterContainer() {
  var _useNetwork = useNetwork(),
    state = _useNetwork.state;
  var _useTheme = useTheme(),
    showExportHar = _useTheme.showExportHar,
    showImportHar = _useTheme.showImportHar,
    showReset = _useTheme.showReset,
    showPauseResume = _useTheme.showPauseResume;
  return /*#__PURE__*/React.createElement("section", {
    className: Styles['filters-container']
  }, /*#__PURE__*/React.createElement("div", {
    className: Styles['filter-row']
  }, /*#__PURE__*/React.createElement(StatusFilter, null), /*#__PURE__*/React.createElement(Search, state.get('search')), showPauseResume && /*#__PURE__*/React.createElement(PauseResumeButton, null), showReset && /*#__PURE__*/React.createElement(ResetButton, null), showExportHar && /*#__PURE__*/React.createElement(ExportHarButton, {
    rawData: state.get('rawData')
  }), showImportHar && /*#__PURE__*/React.createElement(ImportHar, null)), /*#__PURE__*/React.createElement("div", {
    className: Styles['type-filter-row']
  }, /*#__PURE__*/React.createElement(TypeFilter, null)));
};

export { FilterContainer as default };
//# sourceMappingURL=FilterContainer.js.map
