import { slicedToArray as _slicedToArray } from '../_virtual/_rollupPluginBabelHelpers.js';
import { useState, useEffect } from 'react';

/* eslint no-underscore-dangle: 0 */

var debounce = function debounce(func, delay) {
  var timeoutId;
  return function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    if (timeoutId) clearTimeout(timeoutId);
    timeoutId = setTimeout(function () {
      func.apply(void 0, args);
    }, delay);
  };
};
var useResizeObserver = function useResizeObserver(elementRef) {
  var _useState = useState({
      width: 0,
      height: 0
    }),
    _useState2 = _slicedToArray(_useState, 2),
    elementDims = _useState2[0],
    setElementDims = _useState2[1];
  useEffect(function () {
    var onResize = debounce(function () {
      if (elementRef) {
        setElementDims({
          width: elementRef.clientWidth,
          height: elementRef.clientHeight
        });
      }
    }, 50);
    var resizeObserver = new ResizeObserver(function () {
      return onResize();
    });
    if (elementRef) {
      resizeObserver.observe(elementRef);
    }
    return function () {
      if (elementRef) {
        resizeObserver.unobserve(elementRef);
      }
    };
  }, [elementRef]);
  return {
    elementDims: elementDims
  };
};

export { useResizeObserver };
//# sourceMappingURL=useResizeObserver.js.map
