import { slicedToArray as _slicedToArray } from '../../_virtual/_rollupPluginBabelHelpers.js';
import React, { useContext } from 'react';
import { actionsWrapper } from '../../utils.js';
import { fetchFile, updateData, updateSearch, updateSort, updateStatusFilter, updateTypeFilter, updateErrorMessage, selectRequest, setTableHeaderWidth, updateScrollToIndex, resetState } from './actions.js';

var NetworkContext = /*#__PURE__*/React.createContext();
var useNetwork = function useNetwork() {
  var context = useContext(NetworkContext);
  if (!context) {
    throw new Error('useNetwork must be used within a NetworkProvider');
  }
  var _context = _slicedToArray(context, 3),
    state = _context[0],
    dispatch = _context[1],
    callbacks = _context[2];
  var wrappedActions = actionsWrapper({
    fetchFile: fetchFile,
    updateData: updateData,
    updateSearch: updateSearch,
    updateSort: updateSort,
    updateStatusFilter: updateStatusFilter,
    updateTypeFilter: updateTypeFilter,
    updateErrorMessage: updateErrorMessage,
    selectRequest: selectRequest,
    setTableHeaderWidth: setTableHeaderWidth,
    updateScrollToIndex: updateScrollToIndex,
    resetState: resetState
  })(dispatch, state);
  return {
    state: state,
    dispatch: dispatch,
    actions: wrappedActions,
    callbacks: callbacks
  };
};

export { NetworkContext, useNetwork };
//# sourceMappingURL=Context.js.map
