'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var PropTypes = require('prop-types');
var classNames = require('classnames/bind');
var immutable = require('immutable');
var axios = require('axios');
var tooltip = require('@react-aria/tooltip');
var tooltip$1 = require('@react-stately/tooltip');
var overlays = require('@react-aria/overlays');
var utils = require('@react-aria/utils');
var classnames = require('classnames');
var reactTransitionGroup = require('react-transition-group');
var FileSaver = require('file-saver');
var reactDropzone = require('react-dropzone');
var qs = require('qs');
var reactWindow = require('react-window');
var recharts = require('recharts');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);
var classNames__default = /*#__PURE__*/_interopDefaultLegacy(classNames);
var axios__default = /*#__PURE__*/_interopDefaultLegacy(axios);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);
var FileSaver__default = /*#__PURE__*/_interopDefaultLegacy(FileSaver);

function _arrayLikeToArray(r, a) {
  (null == a || a > r.length) && (a = r.length);
  for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e];
  return n;
}
function _arrayWithHoles(r) {
  if (Array.isArray(r)) return r;
}
function _arrayWithoutHoles(r) {
  if (Array.isArray(r)) return _arrayLikeToArray(r);
}
function _defineProperty(e, r, t) {
  return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, {
    value: t,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : e[r] = t, e;
}
function _extends() {
  return _extends = Object.assign ? Object.assign.bind() : function (n) {
    for (var e = 1; e < arguments.length; e++) {
      var t = arguments[e];
      for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]);
    }
    return n;
  }, _extends.apply(null, arguments);
}
function _iterableToArray(r) {
  if ("undefined" != typeof Symbol && null != r[Symbol.iterator] || null != r["@@iterator"]) return Array.from(r);
}
function _iterableToArrayLimit(r, l) {
  var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"];
  if (null != t) {
    var e,
      n,
      i,
      u,
      a = [],
      f = !0,
      o = !1;
    try {
      if (i = (t = t.call(r)).next, 0 === l) {
        if (Object(t) !== t) return;
        f = !1;
      } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0);
    } catch (r) {
      o = !0, n = r;
    } finally {
      try {
        if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return;
      } finally {
        if (o) throw n;
      }
    }
    return a;
  }
}
function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function ownKeys(e, r) {
  var t = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var o = Object.getOwnPropertySymbols(e);
    r && (o = o.filter(function (r) {
      return Object.getOwnPropertyDescriptor(e, r).enumerable;
    })), t.push.apply(t, o);
  }
  return t;
}
function _objectSpread2(e) {
  for (var r = 1; r < arguments.length; r++) {
    var t = null != arguments[r] ? arguments[r] : {};
    r % 2 ? ownKeys(Object(t), !0).forEach(function (r) {
      _defineProperty(e, r, t[r]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) {
      Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r));
    });
  }
  return e;
}
function _objectWithoutProperties(e, t) {
  if (null == e) return {};
  var o,
    r,
    i = _objectWithoutPropertiesLoose(e, t);
  if (Object.getOwnPropertySymbols) {
    var s = Object.getOwnPropertySymbols(e);
    for (r = 0; r < s.length; r++) o = s[r], t.includes(o) || {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]);
  }
  return i;
}
function _objectWithoutPropertiesLoose(r, e) {
  if (null == r) return {};
  var t = {};
  for (var n in r) if ({}.hasOwnProperty.call(r, n)) {
    if (e.includes(n)) continue;
    t[n] = r[n];
  }
  return t;
}
function _slicedToArray(r, e) {
  return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest();
}
function _toConsumableArray(r) {
  return _arrayWithoutHoles(r) || _iterableToArray(r) || _unsupportedIterableToArray(r) || _nonIterableSpread();
}
function _toPrimitive(t, r) {
  if ("object" != typeof t || !t) return t;
  var e = t[Symbol.toPrimitive];
  if (void 0 !== e) {
    var i = e.call(t, r || "default");
    if ("object" != typeof i) return i;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return ("string" === r ? String : Number)(t);
}
function _toPropertyKey(t) {
  var i = _toPrimitive(t, "string");
  return "symbol" == typeof i ? i : i + "";
}
function _unsupportedIterableToArray(r, a) {
  if (r) {
    if ("string" == typeof r) return _arrayLikeToArray(r, a);
    var t = {}.toString.call(r).slice(8, -1);
    return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0;
  }
}

var VIEWER_FIELDS = Object.freeze({
  file: Object.freeze({
    key: 'filename',
    name: 'Path'
  }),
  domain: Object.freeze({
    key: 'domain',
    name: 'Domain'
  }),
  status: Object.freeze({
    key: 'status',
    name: 'Status'
  }),
  method: Object.freeze({
    key: 'method',
    name: 'Method'
  }),
  type: Object.freeze({
    key: 'type',
    name: 'Type'
  }),
  size: Object.freeze({
    key: 'size',
    name: 'Size'
  }),
  time: Object.freeze({
    key: 'time',
    name: 'Time'
  }),
  waterfall: Object.freeze({
    key: 'waterfall',
    name: 'Waterfall'
  })
});
var VIEWER_FIELDS_HIDE_WATERFALL = Object.freeze({
  file: Object.freeze({
    key: 'filename',
    name: 'Path'
  }),
  domain: Object.freeze({
    key: 'domain',
    name: 'Domain'
  }),
  status: Object.freeze({
    key: 'status',
    name: 'Status'
  }),
  method: Object.freeze({
    key: 'method',
    name: 'Method'
  }),
  type: Object.freeze({
    key: 'type',
    name: 'Type'
  }),
  size: Object.freeze({
    key: 'size',
    name: 'Size'
  }),
  time: Object.freeze({
    key: 'time',
    name: 'Time'
  })
});
var VIEWER_FIELD_FILE = {
  file: Object.freeze({
    key: 'filename',
    name: 'Path'
  })
};
var FILTER_OPTION = Object.freeze({
  STATUS: 'STATUS',
  TYPE: 'TYPE',
  URL: 'URL',
  BODY: 'BODY'
});
var DEFAULT_FILTER = {
  name: null,
  value: null
};
var TYPE_FILTERS = [{
  name: 'All',
  filterBy: DEFAULT_FILTER
}, {
  name: 'XHR',
  filterBy: {
    name: 'type',
    value: ['xhr', 'XHR', 'fetch']
  }
}, {
  name: 'JS',
  filterBy: {
    name: 'type',
    value: ['script', 'javascript', 'x-javascript', 'json']
  }
}, {
  name: 'CSS',
  filterBy: {
    name: 'type',
    value: ['stylesheet', 'css']
  }
}, {
  name: 'Img',
  filterBy: {
    name: 'type',
    value: ['image', 'png', 'jpeg', 'svg+xml', 'gif']
  }
}, {
  name: 'Media',
  filterBy: {
    name: 'type',
    value: ['media']
  }
}, {
  name: 'Font',
  filterBy: {
    name: 'type',
    value: ['font', 'woff2']
  }
}, {
  name: 'Doc',
  filterBy: {
    name: 'type',
    value: ['document', 'html']
  }
}, {
  name: 'WS',
  filterBy: {
    name: 'type',
    value: ['websocket']
  }
}, {
  name: 'Manifest',
  filterBy: {
    name: 'type',
    value: ['manifest.json']
  }
}];
var DEFAULT_STATUS_FILTER = {
  name: 'All',
  value: null
};
var STATUS_FILTERS = [DEFAULT_STATUS_FILTER, {
  name: '1xx',
  value: '1'
}, {
  name: '2xx',
  value: '2'
}, {
  name: '3xx',
  value: '3'
}, {
  name: '4xx',
  value: '4'
}, {
  name: '5xx',
  value: '5'
}];
var FETCH_FILE_LOAD_TEXT = 'Please wait, fetching file is in progress.';
var TIMINGS = {
  queueing: {
    dataKey: ['_blocked_queueing', '_queued'],
    fill: '#ccc',
    name: 'Queueing'
  },
  blocked: {
    dataKey: 'blocked',
    fill: '#A1000C',
    name: 'Stalled'
  },
  dns: {
    dataKey: 'dns',
    fill: '#DCC9E5',
    name: 'DNS Lookup'
  },
  ssl: {
    dataKey: 'ssl',
    fill: '#E78057',
    name: 'SSL'
  },
  connect: {
    dataKey: 'connect',
    fill: '#DB8553',
    name: 'Initial Connection'
  },
  send: {
    dataKey: 'send',
    fill: '#3C96C4',
    name: 'Request Sent'
  },
  wait: {
    dataKey: 'wait',
    fill: '#7CA0BF',
    name: 'Waiting (TTFB)'
  },
  receive: {
    dataKey: 'receive',
    fill: '#65B955',
    name: 'Content Downloaded'
  }
};
var TIME_CHART_SVG_PROPS = {
  height: '15',
  viewBox: '0 0 200 20',
  version: '1.1',
  preserveAspectRatio: 'xMinYMin meet'
};
var TIME_CHART_DEFAULT_PROPS = {
  height: 30,
  y: 0
};
var ROW_ID_PREFIX = 'network-viewer-table-row-';
var GENERAL_HEADERS = Object.freeze({
  url: Object.freeze({
    key: 'url',
    name: 'Request URL'
  }),
  method: Object.freeze({
    key: 'method',
    name: 'Request Method'
  }),
  status: Object.freeze({
    key: 'status',
    name: 'Status Code'
  }),
  serverIPAddress: Object.freeze({
    key: 'serverIPAddress',
    name: 'Remote Address'
  })
});
var SECTION_TITLES = Object.freeze({
  general: Object.freeze({
    key: 'general',
    name: 'General'
  }),
  requestHeaders: Object.freeze({
    key: 'requestHeaders',
    name: 'Request Headers'
  }),
  responseHeaders: Object.freeze({
    key: 'responseHeaders',
    name: 'Response Headers'
  }),
  requestPayload: Object.freeze({
    key: 'requestPayload',
    name: 'Request Payload'
  }),
  queryString: Object.freeze({
    key: 'queryString',
    name: 'Query String Parameters'
  }),
  formData: Object.freeze({
    key: 'formData',
    name: 'Form Data'
  })
});
var TIMELINE_DATA_POINT_HEIGHT = 2;
var NETWORK_VIEWER_DEFAULT_OPTIONS = {
  NoDataPlaceholder: undefined,
  enableAutoScroll: false,
  showExportHar: false,
  showImportHar: true,
  showPauseResume: false,
  showReset: true,
  showTimeline: false,
  showWaterfall: true
};
var PAYLOAD_CAPTIONS = Object.freeze({
  encode: Object.freeze({
    "true": 'URL encoded',
    "false": 'decoded'
  }),
  parse: Object.freeze({
    "true": 'source',
    "false": 'parsed'
  })
});
var EMPTY_NETWORK_HAR = Object.freeze({
  log: {
    version: '',
    creator: {
      name: '',
      version: ''
    },
    entries: [],
    pages: []
  }
});
var TABLE_HEADER_HEIGHT = 32;
var TABLE_ENTRY_HEIGHT = 24;

/* eslint no-underscore-dangle: 0 */

var roundOff = function roundOff(value) {
  var decimal = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1;
  var base = Math.pow(10, decimal);
  return Math.round(value * base) / base;
};
var formatSize = function formatSize(bytes) {
  if (bytes < 1024) {
    return "".concat(roundOff(bytes), " B");
  }
  if (bytes < Math.pow(1024, 2)) {
    return "".concat(roundOff(bytes / 1024), " KB");
  }
  return "".concat(roundOff(bytes / Math.pow(1024, 2)), " MB");
};
var formatTime = function formatTime(time) {
  if (time < 1000) {
    return "".concat(Math.round(time), "ms");
  }
  if (time < 60000) {
    return "".concat(Math.ceil(time / 10) / 100, "s");
  }
  return "".concat(Math.ceil(time / 60000) * 100 / 100, "m");
};
var getUrlInfo = function getUrlInfo(url) {
  // If there's an invalid URL (resource identifier, etc.) the constructor would throw an exception.
  // Return a 'placeholder' object with default values in the event the passed value cannot be
  // parsed.
  try {
    var urlInfo = new URL(url);
    var pathSplit = urlInfo.pathname.split('/');
    var fileName = (pathSplit[pathSplit.length - 1].trim() ? pathSplit[pathSplit.length - 1] : pathSplit[pathSplit.length - 2]) + urlInfo.search;
    return {
      domain: urlInfo.host,
      filename: fileName || urlInfo.href,
      url: urlInfo.href
    };
  } catch (er) {
    return {
      domain: 'N/A',
      filename: url !== null && url !== void 0 ? url : 'N/A',
      url: url
    };
  }
};
var parseSize = function parseSize(_ref) {
  var bodySize = _ref.bodySize,
    _transferSize = _ref._transferSize,
    headers = _ref.headers,
    content = _ref.content;
  if (content && content.size) {
    return formatSize(content.size);
  }
  if (_transferSize > -1) {
    return formatSize(_transferSize);
  }
  if (bodySize > -1) {
    return formatSize(bodySize);
  }
  var contentInfo = headers.find(function (_ref2) {
    var name = _ref2.name;
    return ['content-length', 'Content-Length'].includes(name);
  });
  if (!contentInfo) {
    return 0;
  }
  return formatSize(contentInfo.value);
};
var getContentType = function getContentType(entry) {
  if (entry._resourceType) {
    return entry._resourceType.toLowerCase();
  }
  var headers = entry.response.headers;
  var contentInfo = headers.find(function (_ref3) {
    var name = _ref3.name;
    return ['content-type', 'Content-Type'].includes(name);
  });
  if (!contentInfo) {
    return '';
  }
  var type = contentInfo.value.split(';')[0].split('/');
  return type.length > 1 ? type[1] : type[0];
};
var getTimings = function getTimings(_ref4, firstEntryTime) {
  var startedDateTime = _ref4.startedDateTime,
    timings = _ref4.timings;
  return _objectSpread2(_objectSpread2({}, timings), {}, {
    startTime: new Date(startedDateTime).getTime() - new Date(firstEntryTime).getTime()
  });
};
var getContent = function getContent(_ref5) {
  var mimeType = _ref5.mimeType,
    text = _ref5.text;
  if (mimeType === 'application/json') {
    var parsedJson;
    try {
      parsedJson = JSON.stringify(JSON.parse(text), null, 2);
    } catch (err) {
      parsedJson = text;
    }
    return parsedJson;
  }
  return text;
};
var getEntryTransferredSize = function getEntryTransferredSize(_ref6) {
  var response = _ref6.response;
  var bodySize = response.bodySize,
    _transferSize = response._transferSize;
  if (_transferSize > -1) {
    return _transferSize;
  }
  if (bodySize > -1) {
    return bodySize;
  }
  return -1;
};
var getEntryUncompressedSize = function getEntryUncompressedSize(_ref7) {
  var response = _ref7.response;
  var bodySize = response.bodySize,
    _transferSize = response._transferSize,
    size = response.content.size;
  if (size > 0) {
    return size;
  }
  if (_transferSize > -1) {
    return _transferSize;
  }
  if (bodySize > -1) {
    return bodySize;
  }
  return -1;
};
var calculateFinishTime = function calculateFinishTime(data) {
  var finishTimes = data.map(function (_ref8) {
    var timings = _ref8.timings;
    return Object.values(timings).reduce(function (acc, durationInMS) {
      return acc + (durationInMS > -1 ? durationInMS : 0);
    }, 0);
  });
  return Math.max.apply(Math, _toConsumableArray(finishTimes));
};
var sortHeaders = function sortHeaders(current, next) {
  if (current.name < next.name) {
    return -1;
  }
  return current.name > next.name ? 1 : 0;
};
var getHeaders = function getHeaders(entry) {
  var requestHeaders = _toConsumableArray(entry.request.headers);
  var responseHeaders = _toConsumableArray(entry.response.headers);
  return {
    request: requestHeaders.sort(sortHeaders),
    response: responseHeaders.sort(sortHeaders),
    queryString: entry.request.queryString,
    postData: entry.request.postData
  };
};
var getTotalTimeOfEntry = function getTotalTimeOfEntry(_ref9) {
  var startedDateTime = _ref9.startedDateTime,
    time = _ref9.time,
    timings = _ref9.timings;
  return new Date(startedDateTime).getTime() + time + ((timings === null || timings === void 0 ? void 0 : timings._blocked_queueing) || (timings === null || timings === void 0 ? void 0 : timings._queued) || 0);
};
var getInterceptError = function getInterceptError(_ref10) {
  var response = _ref10.response;
  return response && response._error ? response._error : null;
};
var prepareViewerData = function prepareViewerData(entries) {
  if (!entries.length) {
    return {
      totalNetworkTime: 0,
      data: [],
      totalRequests: 0,
      totalTransferredSize: 0,
      totalUncompressedSize: 0,
      finishTime: 0
    };
  }
  var firstEntryTime = entries[0].startedDateTime;
  var endTime = getTotalTimeOfEntry(entries[entries.length - 1]);
  var totalTransferredSize = 0;
  var totalUncompressedSize = 0;
  var data = entries.filter(function (entry) {
    return entry.response && getUrlInfo(entry.request.url).domain;
  }).map(function (entry, index) {
    totalTransferredSize += getEntryTransferredSize(entry);
    totalUncompressedSize += getEntryUncompressedSize(entry);
    var lastTimeOfEntry = getTotalTimeOfEntry(entry);
    endTime = endTime < lastTimeOfEntry ? lastTimeOfEntry : endTime;
    return _objectSpread2({
      index: index,
      status: entry.response.status,
      method: entry.request.method,
      size: parseSize(entry.response),
      startedDateTime: new Date(entry.startedDateTime).getTime(),
      type: getContentType(entry),
      timings: getTimings(entry, firstEntryTime),
      body: getContent(entry.response.content),
      time: entry.time,
      serverIPAddress: entry.serverIPAddress || ':80',
      headers: getHeaders(entry),
      transferredSize: getEntryTransferredSize(entry),
      uncompressedSize: getEntryUncompressedSize(entry),
      error: getInterceptError(entry)
    }, getUrlInfo(entry.request.url));
  });
  var totalRequests = data.length;
  var totalNetworkTime = endTime - new Date(firstEntryTime).getTime();
  var finishTime = calculateFinishTime(data);
  return {
    totalNetworkTime: totalNetworkTime,
    data: data,
    totalRequests: totalRequests,
    totalTransferredSize: totalTransferredSize,
    totalUncompressedSize: totalUncompressedSize,
    finishTime: finishTime
  };
};
var sortBy = function sortBy(data, key) {
  var isAsc = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
  var direction = isAsc ? 1 : -1;
  return data.sort(function (prev, next) {
    var entryA = prev[key];
    var entryB = next[key];
    if (entryA < entryB) return -direction;
    if (entryA > entryB) return direction;
    return 0;
  });
};
var applyFilter = function applyFilter(filterOption, filter, entry) {
  switch (filterOption) {
    case FILTER_OPTION.STATUS:
      return entry.status && entry.status.toString().startsWith(filter.value);
    case FILTER_OPTION.TYPE:
      return entry.type && filter.value.includes(entry.type);
    case FILTER_OPTION.URL:
      return entry.url && entry.url.includes(filter.value);
    case FILTER_OPTION.BODY:
      return entry.body && entry.body.includes(filter.value);
    default:
      return true;
  }
};
var filterData = function filterData(_ref11) {
  var data = _ref11.data,
    _ref11$search = _ref11.search,
    search = _ref11$search === void 0 ? {} : _ref11$search,
    _ref11$statusFilter = _ref11.statusFilter,
    statusFilter = _ref11$statusFilter === void 0 ? {} : _ref11$statusFilter,
    _ref11$typeFilter = _ref11.typeFilter,
    typeFilter = _ref11$typeFilter === void 0 ? {} : _ref11$typeFilter;
  var trimmedSearch = search.value && search.value.trim();
  if (!trimmedSearch && !statusFilter.value && !typeFilter.value) {
    return data;
  }
  var filters = [{
    option: FILTER_OPTION.STATUS,
    filter: statusFilter
  }, {
    option: FILTER_OPTION.TYPE,
    filter: typeFilter
  }, {
    option: search.name,
    filter: {
      value: trimmedSearch
    }
  }];
  return data.filter(function (entry) {
    return filters.every(function (_ref12) {
      var option = _ref12.option,
        filter = _ref12.filter;
      return !filter.value || applyFilter(option, filter, entry);
    });
  });
};
var actionsWrapper = function actionsWrapper() {
  var actions = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return function (dispatch, state) {
    return Object.keys(actions).reduce(function (modifiedActions, type) {
      return _objectSpread2(_objectSpread2({}, modifiedActions), {}, _defineProperty({}, type, actions[type](dispatch, state)));
    }, {});
  };
};
var parseTime = function parseTime(time) {
  if (!time) {
    return time;
  }
  if (time > 1000) {
    return "".concat((time / 1000).toFixed(2), " s");
  }
  return "".concat(time.toFixed(2), " ms");
};
var calcTotalTime = function calcTotalTime(data) {
  return Object.keys(data).filter(function (key) {
    return !['_blocked_queueing', '_queued', 'startTime'].includes(key);
  }).reduce(function (acc, key) {
    return acc + data[key];
  }, 0);
};
var prepareTooltipData = function prepareTooltipData(data) {
  return _objectSpread2({
    queuedAt: parseTime(data.startTime),
    startedAt: parseTime(data.startTime + (data._blocked_queueing || data._queued || 0)),
    totalTime: parseTime(calcTotalTime(data))
  }, Object.keys(data).reduce(function (acc, key) {
    acc[key] = parseTime(data[key]);
    return acc;
  }, {}));
};
var getStatusClass = function getStatusClass(_ref13) {
  var status = _ref13.status,
    error = _ref13.error;
  if (status === 0 && !error) {
    return 'pending';
  }
  if (status >= 400 || error) {
    return 'error';
  }
  return 'info';
};
var formatValue = function formatValue(key, value, unit) {
  var entry = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
  switch (key) {
    case 'time':
      if (entry.status === 0) {
        return 'Pending';
      }
      return value === 0 && !entry.error ? '-' : parseTime(value);
    case 'status':
      if (entry.error) {
        return '(failed)';
      }
      return value === 0 ? 'Pending' : value;
    default:
      return !unit ? value : "".concat(value, " ").concat(unit);
  }
};
var calcChartAttributes = function calcChartAttributes(data, maxTime, cx, index) {
  var cy = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : null;
  var startTimePercent = data.startTime / maxTime * 100;
  var previousX = 0;
  var previousWidth = 0;
  var chartAttributes = [];
  Object.keys(TIMINGS).forEach(function (key) {
    var timingInfo = TIMINGS[key];
    var dataKey = Array.isArray(timingInfo.dataKey) ? timingInfo.dataKey.find(function (dKey) {
      return data[dKey];
    }) : timingInfo.dataKey;
    var value = data[dataKey];
    if (value <= 0) {
      return;
    }
    previousX += !previousWidth ? startTimePercent : previousWidth;
    previousWidth = value > 0 ? value / maxTime * 100 : 0;
    chartAttributes.push({
      width: "".concat(previousWidth, "%"),
      y: index ? index % 10 * (TIMELINE_DATA_POINT_HEIGHT + 1) + 40 : cy,
      x: "".concat(previousX, "%"),
      fill: timingInfo.fill,
      key: key
    });
  });
  return chartAttributes;
};
var findIndexNearTimestamp = function findIndexNearTimestamp(data, exactTimestamp) {
  return data.reduce(function (_ref14, _ref15) {
    var value = _ref14.value,
      index = _ref14.index;
    var currentValue = _ref15.startedDateTime,
      currentIndex = _ref15.index;
    return Math.abs(currentValue - exactTimestamp) < Math.abs(value - exactTimestamp) ? {
      value: currentValue,
      index: currentIndex
    } : {
      value: value,
      index: index
    };
  }, {
    value: 0,
    index: 0
  }).index;
};
var findIndexBeforeTimestamp = function findIndexBeforeTimestamp(data, exactTimestamp) {
  var resultIndex = data.reverse().findIndex(function (_ref16) {
    var startedDateTime = _ref16.startedDateTime;
    return startedDateTime <= exactTimestamp;
  });
  return resultIndex < 0 ? 0 : data.size - (resultIndex + 1);
};
var findIndexAfterTimestamp = function findIndexAfterTimestamp(data, exactTimestamp) {
  return data.findIndex(function (_ref17) {
    var startedDateTime = _ref17.startedDateTime;
    return startedDateTime >= exactTimestamp;
  });
};
var findRequestIndex = function findRequestIndex(_ref18) {
  var data = _ref18.data,
    timestamp = _ref18.timestamp,
    position = _ref18.position;
  switch (position) {
    case 'before':
      return findIndexBeforeTimestamp(data, timestamp);
    case 'after':
      return findIndexAfterTimestamp(data, timestamp);
    case 'near':
    default:
      return findIndexNearTimestamp(data, timestamp);
  }
};
var calculateTimings = function calculateTimings(pages) {
  return pages.reduce(function (_ref19, _ref20) {
    var DOMContentLoaded = _ref19.DOMContentLoaded,
      onLoad = _ref19.onLoad;
    var pageTimings = _ref20.pageTimings;
    return {
      DOMContentLoaded: DOMContentLoaded + pageTimings.onContentLoad,
      onLoad: onLoad + pageTimings.onLoad
    };
  }, {
    DOMContentLoaded: 0,
    onLoad: 0
  });
};
var getSummary = function getSummary(data) {
  return data.reduce(function (acc, req) {
    acc.totalTransferredSize += req.transferredSize;
    acc.totalUncompressedSize += req.uncompressedSize;
    return acc;
  }, {
    totalTransferredSize: 0,
    totalUncompressedSize: 0,
    totalRequests: data.size
  });
};
var parseRequestPayload = function parseRequestPayload(text) {
  var parsedJson;
  try {
    parsedJson = JSON.stringify(JSON.parse(text), null, 2);
  } catch (err) {
    parsedJson = text;
  }
  return parsedJson;
};
var getViewerFields = function getViewerFields(showReqDetail, showWaterfall) {
  if (showReqDetail) {
    return VIEWER_FIELD_FILE;
  }
  return showWaterfall ? VIEWER_FIELDS : VIEWER_FIELDS_HIDE_WATERFALL;
};

var UPDATE_DATA = 'UPDATE_DATA';
var UPDATE_SEARCH = 'UPDATE_SEARCH';
var UPDATE_SORT = 'UPDATE_SORT';
var UPDATE_STATUS_FILTER = 'UPDATE_STATUS_FILTER';
var UPDATE_TYPE_FILTER = 'UPDATE_TYPE_FILTER';
var UPDATE_ERROR_MESSAGE = 'UPDATE_ERROR_MESSAGE';
var UPDATE_SCROLL_TO_INDEX = 'UPDATE_SCROLL_TO_INDEX';
var SELECT_REQUEST = 'SELECT_REQUEST';
var SET_TABLE_HEADER_WIDTH = 'SET_TABLE_HEADER_WIDTH';
var FETCH_FILE = {
  REQUEST: 'FETCH_FILE_REQUEST',
  SUCCESS: 'FETCH_FILE_SUCCESS',
  FAILURE: 'FETCH_FILE_FAILURE'
};
var RESET = 'RESET';

var initialState = new immutable.Map({
  rawData: EMPTY_NETWORK_HAR,
  data: new immutable.List(),
  actualData: new immutable.List(),
  totalNetworkTime: null,
  dataSummary: new immutable.Map(),
  sort: {
    key: 'startedDateTime',
    isAsc: true
  },
  search: {
    name: 'URL',
    value: ''
  },
  statusFilter: DEFAULT_STATUS_FILTER,
  typeFilter: {
    name: null,
    value: null
  },
  error: null,
  loading: false,
  scrollToIndex: null,
  selectedReqIndex: null,
  showReqDetail: false,
  reqDetail: null,
  tableHeaderWidth: '100%',
  numberOfNewEntries: 0
});
var reducer = function reducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var _ref = arguments.length > 1 ? arguments[1] : undefined,
    type = _ref.type,
    payload = _ref.payload;
  switch (type) {
    case UPDATE_DATA:
      {
        return state.withMutations(function (newState) {
          var _prepareViewerData = prepareViewerData(payload.log.entries),
            data = _prepareViewerData.data,
            totalNetworkTime = _prepareViewerData.totalNetworkTime,
            totalRequests = _prepareViewerData.totalRequests,
            totalTransferredSize = _prepareViewerData.totalTransferredSize,
            totalUncompressedSize = _prepareViewerData.totalUncompressedSize,
            finishTime = _prepareViewerData.finishTime;
          var sort = state.get('sort');
          var sortedData = new immutable.List(sortBy(data, sort.key, sort.isAsc));
          var filteredData = filterData({
            data: sortedData,
            statusFilter: state.get('statusFilter'),
            typeFilter: state.get('typeFilter'),
            search: state.get('search')
          });
          var prevData = state.get('data');
          var numberOfNewEntries = filteredData.size - prevData.size;
          newState.set('error', null).set('rawData', payload).set('data', filteredData).set('actualData', sortedData).set('numberOfNewEntries', numberOfNewEntries).set('totalNetworkTime', totalNetworkTime).set('dataSummary', new immutable.Map({
            totalRequests: totalRequests,
            totalTransferredSize: totalTransferredSize,
            totalUncompressedSize: totalUncompressedSize,
            finishTime: finishTime,
            timings: calculateTimings(payload.log.pages),
            finish: finishTime
          }));
        });
      }
    case UPDATE_SEARCH:
      {
        return state.withMutations(function (newState) {
          var data = filterData({
            data: state.get('actualData'),
            statusFilter: state.get('statusFilter'),
            typeFilter: state.get('typeFilter'),
            search: payload
          });
          var summary = getSummary(data);
          newState.set('search', payload).set('data', data).setIn(['dataSummary', 'totalRequests'], summary.totalRequests).setIn(['dataSummary', 'totalTransferredSize'], summary.totalTransferredSize).setIn(['dataSummary', 'totalUncompressedSize'], summary.totalUncompressedSize);
        });
      }
    case UPDATE_STATUS_FILTER:
      {
        return state.withMutations(function (newState) {
          var data = filterData({
            data: state.get('actualData'),
            statusFilter: payload,
            typeFilter: state.get('typeFilter'),
            search: state.get('search')
          });
          var summary = getSummary(data);
          newState.set('statusFilter', payload).set('data', data).setIn(['dataSummary', 'totalRequests'], summary.totalRequests).setIn(['dataSummary', 'totalTransferredSize'], summary.totalTransferredSize).setIn(['dataSummary', 'totalUncompressedSize'], summary.totalUncompressedSize);
        });
      }
    case UPDATE_TYPE_FILTER:
      {
        return state.withMutations(function (newState) {
          var data = filterData({
            data: state.get('actualData'),
            statusFilter: state.get('statusFilter'),
            typeFilter: payload,
            search: state.get('search')
          });
          var summary = getSummary(data);
          newState.set('typeFilter', payload).set('data', data).setIn(['dataSummary', 'totalRequests'], summary.totalRequests).setIn(['dataSummary', 'totalTransferredSize'], summary.totalTransferredSize).setIn(['dataSummary', 'totalUncompressedSize'], summary.totalUncompressedSize);
        });
      }
    case UPDATE_SORT:
      {
        return state.withMutations(function (newState) {
          newState.set('sort', payload).set('data', sortBy(state.get('data'), payload.key, payload.isAsc));
        });
      }
    case FETCH_FILE.REQUEST:
      {
        return state.withMutations(function (newState) {
          newState.set('error', null).set('loading', true);
        });
      }
    case FETCH_FILE.SUCCESS:
      {
        return state.withMutations(function (newState) {
          newState.set('error', null).set('loading', false);
        });
      }
    case FETCH_FILE.FAILURE:
    case UPDATE_ERROR_MESSAGE:
      {
        return state.withMutations(function (newState) {
          newState.set('error', payload).set('loading', false);
        });
      }
    case UPDATE_SCROLL_TO_INDEX:
      {
        return state.withMutations(function (newState) {
          newState.set('selectedReqIndex', payload ? payload.index : null).set('reqDetail', payload);
        });
      }
    case SELECT_REQUEST:
      {
        return state.withMutations(function (newState) {
          newState.set('selectedReqIndex', payload ? payload.index : null).set('reqDetail', payload).set('showReqDetail', !!payload);
        });
      }
    case SET_TABLE_HEADER_WIDTH:
      {
        return state.withMutations(function (newState) {
          newState.set('tableHeaderWidth', "".concat(payload, "px"));
        });
      }
    case RESET:
      {
        return initialState;
      }
    default:
      return state;
  }
};

var updateData = function updateData(dispatch) {
  return function (payload) {
    return dispatch({
      type: UPDATE_DATA,
      payload: payload
    });
  };
};
var updateSearch = function updateSearch(dispatch) {
  return function (payload) {
    return dispatch({
      type: UPDATE_SEARCH,
      payload: payload
    });
  };
};
var updateSort = function updateSort(dispatch) {
  return function (payload) {
    return dispatch({
      type: UPDATE_SORT,
      payload: payload
    });
  };
};
var updateStatusFilter = function updateStatusFilter(dispatch) {
  return function (payload) {
    return dispatch({
      type: UPDATE_STATUS_FILTER,
      payload: payload
    });
  };
};
var updateTypeFilter = function updateTypeFilter(dispatch) {
  return function (payload) {
    return dispatch({
      type: UPDATE_TYPE_FILTER,
      payload: payload
    });
  };
};
var fetchFileRequest = function fetchFileRequest(dispatch) {
  return function (payload) {
    return dispatch({
      type: FETCH_FILE.REQUEST,
      payload: payload
    });
  };
};
var fetchFileSuccess = function fetchFileSuccess(dispatch) {
  return function (payload) {
    return dispatch({
      type: FETCH_FILE.SUCCESS,
      payload: payload
    });
  };
};
var fetchFileFailure = function fetchFileFailure(dispatch) {
  return function (payload) {
    return dispatch({
      type: FETCH_FILE.FAILURE,
      payload: payload
    });
  };
};
var updateErrorMessage = function updateErrorMessage(dispatch) {
  return function (payload) {
    return dispatch({
      type: UPDATE_ERROR_MESSAGE,
      payload: payload
    });
  };
};
var updateScrollToIndex = function updateScrollToIndex(dispatch) {
  return function (payload) {
    return dispatch({
      type: UPDATE_SCROLL_TO_INDEX,
      payload: payload
    });
  };
};
var selectRequest = function selectRequest(dispatch) {
  return function (payload) {
    return dispatch({
      type: SELECT_REQUEST,
      payload: payload
    });
  };
};
var setTableHeaderWidth = function setTableHeaderWidth(dispatch) {
  return function (payload) {
    return dispatch({
      type: SET_TABLE_HEADER_WIDTH,
      payload: payload
    });
  };
};
var resetState = function resetState(dispatch) {
  return function (payload) {
    return dispatch({
      type: RESET,
      payload: payload
    });
  };
};
var fetchFile = function fetchFile(dispatch) {
  return function (file) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {
      withCredentials: true
    };
    fetchFileRequest(dispatch)();
    axios__default["default"].get(file, options).then(function (_ref) {
      var data = _ref.data;
      if (data && data.log) {
        updateData(dispatch)(data);
      }
      fetchFileSuccess(dispatch)();
    })["catch"](function (error) {
      return fetchFileFailure(dispatch)({
        title: 'Error while fetching file',
        description: error.message
      });
    });
  };
};

var NetworkContext = /*#__PURE__*/React__default["default"].createContext();
var useNetwork = function useNetwork() {
  var context = React.useContext(NetworkContext);
  if (!context) {
    throw new Error('useNetwork must be used within a NetworkProvider');
  }
  var _context = _slicedToArray(context, 3),
    state = _context[0],
    dispatch = _context[1],
    callbacks = _context[2];
  var wrappedActions = actionsWrapper({
    fetchFile: fetchFile,
    updateData: updateData,
    updateSearch: updateSearch,
    updateSort: updateSort,
    updateStatusFilter: updateStatusFilter,
    updateTypeFilter: updateTypeFilter,
    updateErrorMessage: updateErrorMessage,
    selectRequest: selectRequest,
    setTableHeaderWidth: setTableHeaderWidth,
    updateScrollToIndex: updateScrollToIndex,
    resetState: resetState
  })(dispatch, state);
  return {
    state: state,
    dispatch: dispatch,
    actions: wrappedActions,
    callbacks: callbacks
  };
};

var NetworkProvider = function NetworkProvider(props) {
  var data = props.data,
    file = props.file,
    fetchOptions = props.fetchOptions,
    initialState = props.initialState,
    scrollTimeStamp = props.scrollTimeStamp,
    scrollRequestPosition = props.scrollRequestPosition,
    autoHighlightChange = props.autoHighlightChange,
    onDataLoaded = props.onDataLoaded,
    onDataError = props.onDataError,
    onPause = props.onPause,
    onResume = props.onResume,
    onReset = props.onReset,
    onRequestSelect = props.onRequestSelect;
  var _useReducer = React.useReducer(reducer, initialState),
    _useReducer2 = _slicedToArray(_useReducer, 2),
    state = _useReducer2[0],
    dispatch = _useReducer2[1];
  var callbacks = {
    onPause: onPause,
    onResume: onResume,
    onReset: onReset,
    onRequestSelect: onRequestSelect
  };
  var value = React.useMemo(function () {
    return [state, dispatch, callbacks];
  }, [state]);
  var requestData = value[0].get('data');
  var showReqDetail = value[0].get('showReqDetail');
  var actualData = value[0].get('actualData');
  var error = value[0].get('error');

  // Update data onChange of network data
  React.useEffect(function () {
    if (data && data.log && data.log.entries) {
      updateData(dispatch)(data);
    }
  }, [data]);

  // Fetch HAR file onChange of file prop
  React.useEffect(function () {
    if (file) {
      fetchFile(dispatch)(file, fetchOptions);
    }
  }, [file]);
  React.useEffect(function () {
    if (actualData.size && onDataLoaded) {
      onDataLoaded(actualData);
    }
  }, [actualData]);
  React.useEffect(function () {
    if (error && onDataError) {
      onDataError(error);
    }
  }, [error]);

  // Find nearby request-rowId and update scrollIndex on scrollTimeStamp receive
  React.useEffect(function () {
    var shouldChangeHighlight = showReqDetail ? autoHighlightChange : true;
    if (scrollTimeStamp && shouldChangeHighlight) {
      var reqIndex = findRequestIndex({
        data: requestData,
        timestamp: scrollTimeStamp,
        position: scrollRequestPosition
      });
      if (reqIndex || reqIndex === 0) {
        updateScrollToIndex(dispatch)(requestData.get(reqIndex));
      }
    }
  }, [scrollTimeStamp, actualData]);
  return /*#__PURE__*/React__default["default"].createElement(NetworkContext.Provider, _extends({
    value: value
  }, props));
};
NetworkProvider.propTypes = {
  autoHighlightChange: PropTypes__default["default"].bool,
  data: PropTypes__default["default"].object,
  fetchOptions: PropTypes__default["default"].object,
  file: PropTypes__default["default"].string,
  initialState: PropTypes__default["default"].object,
  onDataError: PropTypes__default["default"].func,
  onDataLoaded: PropTypes__default["default"].func,
  onPause: PropTypes__default["default"].func,
  onRequestSelect: PropTypes__default["default"].func,
  onReset: PropTypes__default["default"].func,
  onResume: PropTypes__default["default"].func,
  scrollRequestPosition: PropTypes__default["default"].oneOf(['before', 'after', 'near']),
  scrollTimeStamp: PropTypes__default["default"].number
};
NetworkProvider.defaultProps = {
  autoHighlightChange: false,
  data: null,
  fetchOptions: {
    withCredentials: true
  },
  file: null,
  initialState: initialState,
  onDataError: null,
  onDataLoaded: null,
  onPause: null,
  onRequestSelect: null,
  onReset: null,
  onResume: null,
  scrollRequestPosition: 'near',
  scrollTimeStamp: null
};

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z$o = ".Search-styles__search-input___dXaO4{background-color:#fff;border:1px solid #dbe0ea;border-radius:4px;color:#1e2127;font-size:14px;height:26px;min-width:10rem;padding:4px 8px;width:35%}.Search-styles__search-input___dXaO4:focus{background-color:#fff;border:1px solid #dbe0ea;outline:1px solid transparent}";
var Styles$o = {"brandBlue":"#0E75DD","search-input":"Search-styles__search-input___dXaO4"};
styleInject(css_248z$o);

var Search = function Search(_ref) {
  var name = _ref.name,
    value = _ref.value;
  var _useNetwork = useNetwork(),
    actions = _useNetwork.actions;
  var handleInputChange = function handleInputChange(_ref2) {
    var target = _ref2.target;
    actions.updateSearch({
      name: name,
      value: target.value
    });
  };
  return /*#__PURE__*/React__default["default"].createElement("input", {
    className: Styles$o['search-input'],
    name: "search",
    onChange: handleInputChange,
    placeholder: "Search by URL",
    type: "text",
    value: value
  });
};
Search.propTypes = {
  name: PropTypes__default["default"].string.isRequired,
  value: PropTypes__default["default"].string
};
Search.defaultProps = {
  value: ''
};

var css_248z$n = ".FilterContainer-styles__filters-container___ObFHd{background:#f7f8fa;display:flex;flex-direction:column}.FilterContainer-styles__filters-container___ObFHd .FilterContainer-styles__filter-row___Dvkpa,.FilterContainer-styles__filters-container___ObFHd .FilterContainer-styles__type-filter-row___rbgN4{border-bottom:1px solid #dbe0ea;display:flex;padding:8px 12px;width:100%}.FilterContainer-styles__filters-container___ObFHd .FilterContainer-styles__type-filter-row___rbgN4{overflow-x:auto}.FilterContainer-styles__filters-container___ObFHd .FilterContainer-styles__filter-row___Dvkpa>:not(:last-child){margin-right:8px}.FilterContainer-styles__filters-container___ObFHd .FilterContainer-styles__type-filter-row___rbgN4>:not(:last-child){margin-right:4px}";
var Styles$n = {"brandBlue":"#0E75DD","filters-container":"FilterContainer-styles__filters-container___ObFHd","filter-row":"FilterContainer-styles__filter-row___Dvkpa","type-filter-row":"FilterContainer-styles__type-filter-row___rbgN4"};
styleInject(css_248z$n);

var css_248z$m = ".Button-styles__btn___kQ5AC{align-items:center;background:#fff;border:1px solid #dbe0ea;border-radius:4px;color:#6d7584;cursor:pointer;display:flex;font-size:14px;font-weight:600;justify-content:center;outline:none;padding:4px 8px;text-decoration:none}.Button-styles__btn___kQ5AC:hover{background:#e6f1fd}.Button-styles__btn___kQ5AC[disabled]{border-color:#d8dde3;color:#d8dde3;cursor:not-allowed}.Button-styles__btn___kQ5AC[disabled] svg{fill:#d8dde3}.Button-styles__btn___kQ5AC[disabled]:hover{border-color:#bac3ce}.Button-styles__btn___kQ5AC svg{fill:#1e2127}.Button-styles__btn___kQ5AC.Button-styles__text-variant___B5fDF{background:transparent;border:none}.Button-styles__btn___kQ5AC.Button-styles__text-variant___B5fDF:hover{background:#e6f1fd}.Button-styles__btn___kQ5AC.Button-styles__text-variant___B5fDF.Button-styles__active___WnULS{background:#0e75dd;color:#fff}";
var Styles$m = {"brandBlue":"#0E75DD","btn":"Button-styles__btn___kQ5AC","text-variant":"Button-styles__text-variant___B5fDF","active":"Button-styles__active___WnULS"};
styleInject(css_248z$m);

var _excluded$2 = ["children", "className", "disabled", "href", "variant"];
var context$a = classNames__default["default"].bind(Styles$m);
var Button = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var children = _ref.children,
    className = _ref.className,
    disabled = _ref.disabled,
    href = _ref.href,
    variant = _ref.variant,
    props = _objectWithoutProperties(_ref, _excluded$2);
  var combinedClasses = context$a('btn', className, {
    'text-variant': variant === 'text'
  });
  var TagName = href && !disabled ? 'a' : 'button';
  return /*#__PURE__*/React__default["default"].createElement(TagName, _extends({
    ref: ref,
    className: combinedClasses,
    disabled: disabled,
    href: href
  }, props), children);
});
Button.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].any,
  disabled: PropTypes__default["default"].bool,
  href: PropTypes__default["default"].string,
  type: PropTypes__default["default"].oneOf(['submit', 'reset', 'button', 'menu']),
  variant: PropTypes__default["default"].oneOf(['default', 'text'])
};
Button.defaultProps = {
  className: null,
  disabled: false,
  href: null,
  type: 'button',
  variant: 'default'
};

var IconReset = function IconReset(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    preserveAspectRatio: "xMidYMid",
    viewBox: "0 0 24 24",
    width: "24",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("g", {
    clipPath: "url(#refresh_clip0)"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M10.8803 -6.08475e-05C10.9939 -0.000234689 11.0668 0.12043 11.0135 0.220324L7.15162 7.46004C7.09684 7.56273 6.95057 7.56643 6.89026 7.46665L5.2476 4.74904C3.3255 6.36294 2.0772 8.75571 2.00218 11.4547C1.88511 15.6666 4.6625 19.2912 8.53796 20.4307C9.06765 20.5865 9.3703 21.1405 9.21394 21.6681C9.05759 22.1957 8.50144 22.4972 7.97175 22.3414C3.24816 20.9525 -0.139855 16.537 0.00294616 11.3995C0.0976061 7.99401 1.72376 4.99084 4.20545 3.02489L2.52185 0.239546C2.46154 0.13977 2.53326 0.0127309 2.65 0.012552L10.8803 -6.08475e-05Z"
  }), /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M14.5072 1.73094C14.6489 1.1992 15.1964 0.882516 15.7302 1.0236C20.4906 2.28174 24 6.60218 24 11.7416C24 15.6586 21.9615 19.0998 18.8846 21.0722L20.5095 23.7603C20.5698 23.8601 20.4981 23.9871 20.3813 23.9873L12.151 23.9999C12.0374 24.0001 11.9645 23.8794 12.0178 23.7796L15.8797 16.5398C15.9345 16.4371 16.0808 16.4335 16.1411 16.5332L17.8526 19.3647C20.35 17.7411 22 14.9325 22 11.7416C22 7.52812 19.123 3.98143 15.2173 2.94919C14.6835 2.8081 14.3656 2.26267 14.5072 1.73094Z"
  })), /*#__PURE__*/React__default["default"].createElement("defs", null, /*#__PURE__*/React__default["default"].createElement("clipPath", {
    id: "refresh_clip0"
  }, /*#__PURE__*/React__default["default"].createElement("rect", {
    height: "24",
    width: "24"
  }))));
};
IconReset.propTypes = {
  className: PropTypes__default["default"].string
};
IconReset.defaultProps = {
  className: ''
};

var css_248z$l = ".IconButton-styles__icon-button___Znt-A{height:26px;padding:4px 8px}.IconButton-styles__icon-button___Znt-A .IconButton-styles__action-icon___ffZLK{fill:#1e2127;height:12px;width:12px}";
var Styles$l = {"brandBlue":"#0E75DD","icon-button":"IconButton-styles__icon-button___Znt-A","action-icon":"IconButton-styles__action-icon___ffZLK"};
styleInject(css_248z$l);

var css_248z$k = ".Tooltip-styles__tooltip-label___JpOBu{opacity:0;position:absolute;transition:opacity .3s ease-in-out}.Tooltip-styles__tooltip-label___JpOBu .Tooltip-styles__tooltip-label-box___KUxBt{background-color:#1e2127;border:1px solid #1e2127;border-radius:4px;color:#fff;display:inline-block;font-size:12px;max-height:500px;max-width:300px;overflow-y:auto;padding:4px 8px;scrollbar-color:#6d7584 #1e2127;word-break:break-all}.Tooltip-styles__tooltip-visible___-AKVR{opacity:1}.Tooltip-styles__tooltip-arrow___8Fj9-{background-color:#1e2127;border:2px solid #1e2127;position:absolute;rotate:-45deg}.Tooltip-styles__tooltip-arrow-position-left___ICPTZ{right:100%;translate:.125rem}.Tooltip-styles__tooltip-arrow-position-right___0Ff2s{left:100%;translate:-.125rem}.Tooltip-styles__tooltip-arrow-position-bottom___uPbQX{top:100%;translate:0 -.125rem}.Tooltip-styles__tooltip-arrow-position-top___xRdkg{bottom:100%;translate:0 .125rem}";
var Styles$k = {"brandBlue":"#0E75DD","tooltip-label":"Tooltip-styles__tooltip-label___JpOBu","tooltip-label-box":"Tooltip-styles__tooltip-label-box___KUxBt","tooltip-visible":"Tooltip-styles__tooltip-visible___-AKVR","tooltip-arrow":"Tooltip-styles__tooltip-arrow___8Fj9-","tooltip-arrow-position-left":"Tooltip-styles__tooltip-arrow-position-left___ICPTZ","tooltip-arrow-position-right":"Tooltip-styles__tooltip-arrow-position-right___0Ff2s","tooltip-arrow-position-bottom":"Tooltip-styles__tooltip-arrow-position-bottom___uPbQX","tooltip-arrow-position-top":"Tooltip-styles__tooltip-arrow-position-top___xRdkg"};
styleInject(css_248z$k);

var _excluded$1 = ["state", "className", "children", "isOpen"];
var TooltipLabel = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var state = _ref.state,
    className = _ref.className,
    children = _ref.children,
    isOpen = _ref.isOpen,
    props = _objectWithoutProperties(_ref, _excluded$1);
  var _useTooltip = tooltip.useTooltip(props, state),
    tooltipProps = _useTooltip.tooltipProps;
  return /*#__PURE__*/React__default["default"].createElement("div", _extends({
    ref: ref,
    className: classnames__default["default"](Styles$k['tooltip-label'], _defineProperty({}, Styles$k['tooltip-visible'], isOpen))
  }, utils.mergeProps(props, tooltipProps)), /*#__PURE__*/React__default["default"].createElement("span", {
    className: classnames__default["default"](className, Styles$k['tooltip-label-box'])
  }, children));
});
TooltipLabel.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string,
  isOpen: PropTypes__default["default"].bool,
  state: PropTypes__default["default"].object.isRequired
};
TooltipLabel.defaultProps = {
  className: '',
  isOpen: false
};

var _excluded = ["placementAxis"];
var getArrowPosition = function getArrowPosition(placement) {
  return classnames__default["default"]('tooltip-arrow-position', _defineProperty(_defineProperty(_defineProperty(_defineProperty({}, Styles$k['tooltip-arrow-position-right'], placement === 'left'), Styles$k['tooltip-arrow-position-left'], placement === 'right'), Styles$k['tooltip-arrow-position-bottom'], placement === 'top'), Styles$k['tooltip-arrow-position-top'], placement === 'bottom'));
};
var TooltipArrow = function TooltipArrow(_ref) {
  var placementAxis = _ref.placementAxis,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__default["default"].createElement("div", _extends({
    className: classnames__default["default"](Styles$k['tooltip-arrow'], getArrowPosition(placementAxis))
  }, props));
};
TooltipArrow.propTypes = {
  placementAxis: PropTypes__default["default"].oneOf(['top', 'bottom', 'left', 'right', 'center'])
};
TooltipArrow.defaultProps = {
  placementAxis: 'bottom'
};

var OPEN_STATES = {
  entering: false,
  entered: true
};
var TooltipTransition = function TooltipTransition(props) {
  var children = props.children,
    isOpen = props.isOpen;
  var _useState = React.useState(!isOpen),
    _useState2 = _slicedToArray(_useState, 2),
    exited = _useState2[0],
    setExited = _useState2[1];
  var handleEntered = function handleEntered() {
    return setExited(false);
  };
  var handleExited = function handleExited() {
    return setExited(true);
  };

  // Don't un-render the overlay while it's transitioning out.
  var mountOverlay = isOpen || !exited;
  if (!mountOverlay) {
    // Don't bother showing anything if we don't have to.
    return null;
  }
  return /*#__PURE__*/React__default["default"].createElement(reactTransitionGroup.Transition, {
    appear: true,
    "in": isOpen,
    onEntered: handleEntered,
    onExited: handleExited,
    timeout: {
      enter: 50,
      exit: 350
    }
  }, function (state) {
    return React__default["default"].Children.map(children, function (child) {
      return /*#__PURE__*/React__default["default"].createElement(overlays.OverlayContainer, null, /*#__PURE__*/React__default["default"].isValidElement(child) && ( /*#__PURE__*/React__default["default"].cloneElement(child, {
        isOpen: !!OPEN_STATES[state]
      })));
    });
  });
};
TooltipTransition.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  isOpen: PropTypes__default["default"].bool.isRequired
};

var ARROW_CROSS_SIZE = Math.sqrt(32);
var Tooltip = /*#__PURE__*/React.forwardRef(function (_ref, forwardedRef) {
  var children = _ref.children,
    className = _ref.className,
    delay = _ref.delay,
    hasArrow = _ref.hasArrow,
    placement = _ref.placement,
    title = _ref.title;
  var targetRef = utils.useObjectRef(forwardedRef);
  var tooltipRef = React.useRef(null);
  var state = tooltip$1.useTooltipTriggerState({
    delay: delay
  });
  var _useOverlayPosition = overlays.useOverlayPosition({
      targetRef: targetRef,
      overlayRef: tooltipRef,
      placement: placement,
      isOpen: state.isOpen,
      arrowSize: ARROW_CROSS_SIZE,
      // cross size of our arrow, a 4x4 element.
      offset: ARROW_CROSS_SIZE / 2 + 2 // cross size of our arrow, in half, plus our offset size of 2px
    }),
    overlayProps = _useOverlayPosition.overlayProps,
    arrowPlacement = _useOverlayPosition.placement,
    arrowProps = _useOverlayPosition.arrowProps;

  // Override the default close implementation to always close immediately. Standard react-aria
  //  has a minor delay onHoverEnd vs onFocusEnd.
  var close = function close() {
    return state.close(true);
  };
  var _useTooltipTrigger = tooltip.useTooltipTrigger({
      isOpen: state.isOpen
    }, _objectSpread2(_objectSpread2({}, state), {}, {
      close: close
    }), tooltipRef),
    tooltipProps = _useTooltipTrigger.tooltipProps,
    triggerProps = _useTooltipTrigger.triggerProps;

  // If we're passed an element, make sure that we've only been given one.
  var child = typeof children === 'function' ? children : React__default["default"].Children.only(children);
  // Manually include a handful of props from react-aria's triggerProps. Otherwise, they block
  // certain events from propagating which can cause conflicts with other listeners in the app.
  var eventedProps = _objectSpread2(_objectSpread2({}, triggerProps), {}, _defineProperty({
    tabIndex: triggerProps.tabIndex,
    'aria-describedby': triggerProps['aria-describedby'],
    onBlur: triggerProps.onBlur,
    onFocus: triggerProps.onFocus,
    onMouseEnter: triggerProps.onPointerEnter,
    onMouseLeave: triggerProps.onPointerLeave,
    onPointerEnter: triggerProps.onPointerEnter,
    onPointerLeave: triggerProps.onPointerLeave
  }, typeof PointerEvent !== 'undefined' ? 'onPointerDown' : 'onClick', close));
  return /*#__PURE__*/React__default["default"].createElement(React__default["default"].Fragment, null, typeof child === 'function' ? child({
    triggerProps: eventedProps,
    targetRef: targetRef
  }) : /*#__PURE__*/React__default["default"].cloneElement(child, _objectSpread2({
    ref: targetRef
  }, utils.mergeProps(child.props, eventedProps))), /*#__PURE__*/React__default["default"].createElement(TooltipTransition, {
    isOpen: state.isOpen
  }, /*#__PURE__*/React__default["default"].createElement(TooltipLabel, _extends({
    ref: tooltipRef,
    className: className,
    state: state
  }, overlayProps, tooltipProps), hasArrow && /*#__PURE__*/React__default["default"].createElement(TooltipArrow, _extends({
    placementAxis: arrowPlacement
  }, arrowProps)), title)));
});
Tooltip.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string,
  delay: PropTypes__default["default"].number,
  hasArrow: PropTypes__default["default"].bool,
  placement: PropTypes__default["default"].oneOf(['top', 'bottom', 'left', 'right']),
  title: PropTypes__default["default"].node.isRequired
};
Tooltip.defaultProps = {
  className: '',
  delay: 100,
  hasArrow: false,
  placement: 'top'
};
Tooltip.displayName = 'Tooltip';

var ThemeContext = /*#__PURE__*/React__default["default"].createContext(NETWORK_VIEWER_DEFAULT_OPTIONS);
var useTheme = function useTheme() {
  var context = React.useContext(ThemeContext);
  if (!context) {
    throw new Error('useTheme must be used within a ThemeContext');
  }
  return context;
};
var ThemeProvider = function ThemeProvider(props) {
  var options = props.options;
  var finalOptions = _objectSpread2(_objectSpread2({}, NETWORK_VIEWER_DEFAULT_OPTIONS), options);
  return /*#__PURE__*/React__default["default"].createElement(ThemeContext.Provider, _extends({
    value: finalOptions
  }, props));
};
ThemeProvider.propTypes = {
  options: PropTypes__default["default"].object
};
ThemeProvider.defaultProps = {
  options: NETWORK_VIEWER_DEFAULT_OPTIONS
};

var ResetButton = function ResetButton() {
  var _useNetwork = useNetwork(),
    actions = _useNetwork.actions,
    callbacks = _useNetwork.callbacks;
  var _useTheme = useTheme(),
    showImportHar = _useTheme.showImportHar;
  var handleReset = function handleReset() {
    actions.resetState();
    callbacks.onReset();
    if (showImportHar) {
      window.history.pushState({}, document.title, '/');
    }
  };
  return /*#__PURE__*/React__default["default"].createElement(Tooltip, {
    title: "Reset"
  }, /*#__PURE__*/React__default["default"].createElement(Button, {
    className: Styles$l['icon-button'],
    onClick: handleReset
  }, /*#__PURE__*/React__default["default"].createElement(IconReset, {
    className: Styles$l['action-icon']
  })));
};

var css_248z$j = ".Dropdown-styles__dropdown-container___xrmM-{position:relative}.Dropdown-styles__dropdown-container___xrmM- .Dropdown-styles__dropdown-toggle___YCeZ6{color:#1e2127;display:flex;font-size:14px;font-weight:500;justify-content:space-between;width:8.5rem}.Dropdown-styles__dropdown-container___xrmM- .Dropdown-styles__dropdown-toggle___YCeZ6.Dropdown-styles__active___FHgVF,.Dropdown-styles__dropdown-container___xrmM- .Dropdown-styles__dropdown-toggle___YCeZ6:hover{background:#fff}.Dropdown-styles__dropdown-container___xrmM- .Dropdown-styles__dropdown-toggle___YCeZ6.Dropdown-styles__active___FHgVF{border-radius:4px 4px 0 0}.Dropdown-styles__dropdown-container___xrmM- .Dropdown-styles__dropdown-toggle___YCeZ6 .Dropdown-styles__icn___KwnE-{height:12px;pointer-events:none;width:12px}.Dropdown-styles__dropdown-container___xrmM- .Dropdown-styles__list___Bc4Yh{background-clip:padding-box;background-color:#fff;border:1px solid #dbe0ea;border-radius:0 0 4px 4px;float:left;left:1px;list-style:none;margin:.125rem 0 0;padding:0;position:absolute;text-align:left;top:0;transform:translate3d(-1px,23px,0);width:7.5rem;will-change:transform;z-index:1000}.Dropdown-styles__dropdown-container___xrmM- .Dropdown-styles__list-item___F-hmT{background:transparent;border:0;clear:both;color:#1e2127;display:block;font-size:14px;font-weight:500;padding:0;text-align:inherit;white-space:nowrap;width:100%}.Dropdown-styles__dropdown-container___xrmM- .Dropdown-styles__list-item___F-hmT.Dropdown-styles__active___FHgVF{background:#e6f1fd;color:#1e2127}.Dropdown-styles__dropdown-container___xrmM- .Dropdown-styles__list-item___F-hmT:not(.Dropdown-styles__active___FHgVF):hover{background:#f7f8fa}.Dropdown-styles__dropdown-container___xrmM- .Dropdown-styles__item-text___-30oI{cursor:pointer;display:block;padding:.25rem 1.5rem}";
var Styles$j = {"brandBlue":"#0E75DD","dropdown-container":"Dropdown-styles__dropdown-container___xrmM-","dropdown-toggle":"Dropdown-styles__dropdown-toggle___YCeZ6","active":"Dropdown-styles__active___FHgVF","icn":"Dropdown-styles__icn___KwnE-","list":"Dropdown-styles__list___Bc4Yh","list-item":"Dropdown-styles__list-item___F-hmT","item-text":"Dropdown-styles__item-text___-30oI"};
styleInject(css_248z$j);

var IconChevronDown = function IconChevronDown(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    viewBox: "0 0 24 24",
    width: "24",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    clipRule: "evenodd",
    d: "M20.7774 7.21667C21.0742 7.50555 21.0742 7.97393 20.7774 8.26282L12.5374 16.2833C12.2406 16.5722 11.7594 16.5722 11.4626 16.2833L3.22259 8.26282C2.9258 7.97393 2.9258 7.50555 3.22259 7.21667C3.51939 6.92778 4.00059 6.92778 4.29738 7.21667L12 14.7141L19.7026 7.21667C19.9994 6.92778 20.4806 6.92778 20.7774 7.21667Z",
    fillRule: "evenodd"
  }));
};
IconChevronDown.propTypes = {
  className: PropTypes__default["default"].string
};
IconChevronDown.defaultProps = {
  className: ''
};

var IconChevronUp = function IconChevronUp(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    viewBox: "0 0 24 24",
    width: "24",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    clipRule: "evenodd",
    d: "M20.7774 16.7833C21.0742 16.4944 21.0742 16.0261 20.7774 15.7372L12.5374 7.71667C12.2406 7.42778 11.7594 7.42778 11.4626 7.71667L3.22259 15.7372C2.9258 16.0261 2.9258 16.4944 3.22259 16.7833C3.51939 17.0722 4.00059 17.0722 4.29738 16.7833L12 9.2859L19.7026 16.7833C19.9994 17.0722 20.4806 17.0722 20.7774 16.7833Z",
    fillRule: "evenodd"
  }));
};
IconChevronUp.propTypes = {
  className: PropTypes__default["default"].string
};
IconChevronUp.defaultProps = {
  className: ''
};

var context$9 = classNames__default["default"].bind(Styles$j);
var Dropdown = function Dropdown(_ref) {
  var items = _ref.items,
    selected = _ref.selected,
    onChange = _ref.onChange,
    className = _ref.className;
  var _useState = React.useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    isExpand = _useState2[0],
    setExpand = _useState2[1];
  var _useState3 = React.useState(selected !== null ? selected : items[0]),
    _useState4 = _slicedToArray(_useState3, 2),
    selectedKey = _useState4[0],
    setSelection = _useState4[1];
  var dropdownItemsRef = React.useRef(null);
  var isExpandRef = React.useRef(isExpand);
  var updateToggle = function updateToggle(toggleState) {
    setExpand(toggleState);
    isExpandRef.current = toggleState;
  };
  var handleItemSelection = function handleItemSelection(key) {
    setSelection(key);
    onChange(key);
    updateToggle(false);
  };
  var removeFocus = function removeFocus(_ref2) {
    var target = _ref2.target;
    if (isExpandRef.current && !dropdownItemsRef.current.contains(target)) {
      updateToggle(false);
    }
  };
  React.useEffect(function () {
    window.addEventListener('click', removeFocus);
    return function () {
      window.removeEventListener('click', removeFocus);
    };
  }, []);
  React.useEffect(function () {
    setSelection(selected);
  }, [selected]);
  return /*#__PURE__*/React__default["default"].createElement("span", {
    ref: dropdownItemsRef,
    className: context$9('dropdown-container', className, {
      expanded: isExpand
    })
  }, /*#__PURE__*/React__default["default"].createElement(Button, {
    className: context$9('dropdown-toggle', {
      active: isExpand
    }),
    onClick: function onClick() {
      return updateToggle(!isExpand);
    }
  }, /*#__PURE__*/React__default["default"].createElement(React__default["default"].Fragment, null, "Status: ".concat(selectedKey.name), isExpand ? /*#__PURE__*/React__default["default"].createElement(IconChevronDown, {
    className: Styles$j.icn
  }) : /*#__PURE__*/React__default["default"].createElement(IconChevronUp, {
    className: Styles$j.icn
  }))), isExpand && /*#__PURE__*/React__default["default"].createElement("ul", {
    className: Styles$j.list
  }, items.map(function (item, index) {
    return /*#__PURE__*/React__default["default"].createElement("li", {
      key: item.value,
      className: context$9('list-item', {
        active: item.value === selectedKey.value
      })
    }, /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$j['item-text'],
      onClick: function onClick() {
        return handleItemSelection(item);
      },
      role: "button",
      tabIndex: index
    }, item.name));
  })));
};
Dropdown.propTypes = {
  className: PropTypes__default["default"].string,
  items: PropTypes__default["default"].array.isRequired,
  onChange: PropTypes__default["default"].func.isRequired,
  selected: PropTypes__default["default"].oneOfType([PropTypes__default["default"].number, PropTypes__default["default"].string, PropTypes__default["default"].object])
};
Dropdown.defaultProps = {
  className: null,
  selected: null
};

var StatusFilter = function StatusFilter() {
  var _useNetwork = useNetwork(),
    state = _useNetwork.state,
    actions = _useNetwork.actions;
  var filter = state.get('statusFilter');
  return /*#__PURE__*/React__default["default"].createElement(Dropdown, {
    items: STATUS_FILTERS,
    onChange: actions.updateStatusFilter,
    selected: filter
  });
};

var IconDownload = function IconDownload(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    preserveAspectRatio: "xMidYMid",
    viewBox: "0 0 24 24",
    width: "24",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M9 0.2C9 0.0895429 9.08954 0 9.2 0H14.8C14.9105 0 15 0.0895431 15 0.2V10H18.8C18.974 10 19.0651 10.2115 18.9475 10.3427L12.1477 17.9336C12.0684 18.0221 11.932 18.0221 11.8527 17.9336L5.05292 10.3427C4.93539 10.2115 5.0264 10 5.20039 10H9V0.2Z"
  }), /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M2.5 19.25C2.5 18.5596 1.94036 18 1.25 18C0.559644 18 0 18.5596 0 19.25V22.75C0 23.4404 0.559644 24 1.25 24H22.75C23.4404 24 24 23.4404 24 22.75V19.25C24 18.5596 23.4404 18 22.75 18C22.0596 18 21.5 18.5596 21.5 19.25V21.5H2.5V19.25Z"
  }));
};
IconDownload.propTypes = {
  className: PropTypes__default["default"].string
};
IconDownload.defaultProps = {
  className: ''
};

var ExportHarButton = function ExportHarButton(_ref) {
  var rawData = _ref.rawData;
  var downloadHar = function downloadHar() {
    var formattedHar = JSON.stringify(rawData, null, 2);
    FileSaver__default["default"].saveAs(new Blob([formattedHar]), 'network.har');
  };
  return /*#__PURE__*/React__default["default"].createElement(Tooltip, {
    title: "Export HAR"
  }, /*#__PURE__*/React__default["default"].createElement(Button, {
    className: Styles$l['icon-button'],
    onClick: downloadHar
  }, /*#__PURE__*/React__default["default"].createElement(IconDownload, {
    className: Styles$l['action-icon']
  })));
};
ExportHarButton.propTypes = {
  rawData: PropTypes__default["default"].object
};
ExportHarButton.defaultProps = {
  rawData: EMPTY_NETWORK_HAR
};

var IconPause = function IconPause(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    preserveAspectRatio: "xMidYMid",
    viewBox: "0 0 24 24",
    width: "24",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M3 1C2.44772 1 2 1.44772 2 2V22C2 22.5523 2.44772 23 3 23H9C9.55228 23 10 22.5523 10 22V2C10 1.44772 9.55228 1 9 1H3Z"
  }), /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M15 1C14.4477 1 14 1.44772 14 2V22C14 22.5523 14.4477 23 15 23H21C21.5523 23 22 22.5523 22 22V2C22 1.44772 21.5523 1 21 1H15Z"
  }));
};
IconPause.propTypes = {
  className: PropTypes__default["default"].string
};
IconPause.defaultProps = {
  className: ''
};

var IconResume = function IconResume(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    preserveAspectRatio: "xMidYMid",
    viewBox: "0 0 24 24",
    width: "24",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M2 1.06665C2 0.246202 2.88801 -0.266152 3.59754 0.144921L22.469 11.0783C23.177 11.4885 23.177 12.5115 22.469 12.9217L3.59754 23.8551C2.88801 24.2662 2 23.7538 2 22.9334V1.06665Z"
  }));
};
IconResume.propTypes = {
  className: PropTypes__default["default"].string
};
IconResume.defaultProps = {
  className: ''
};

var PauseResumeButton = function PauseResumeButton() {
  var _useNetwork = useNetwork(),
    callbacks = _useNetwork.callbacks;
  var _useState = React.useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    isPaused = _useState2[0],
    setIsPaused = _useState2[1];
  var pause = function pause() {
    setIsPaused(true);
    callbacks.onPause();
  };
  var resume = function resume() {
    setIsPaused(false);
    callbacks.onResume();
  };
  return /*#__PURE__*/React__default["default"].createElement(Tooltip, {
    title: isPaused ? 'Resume' : 'Pause'
  }, /*#__PURE__*/React__default["default"].createElement(Button, {
    className: Styles$l['icon-button'],
    onClick: isPaused ? resume : pause
  }, isPaused ? /*#__PURE__*/React__default["default"].createElement(IconResume, {
    className: Styles$l['action-icon']
  }) : /*#__PURE__*/React__default["default"].createElement(IconPause, {
    className: Styles$l['action-icon']
  })));
};

var context$8 = classNames__default["default"].bind(Styles$n);
var TypeFilter = function TypeFilter() {
  var _useNetwork = useNetwork(),
    state = _useNetwork.state,
    actions = _useNetwork.actions;
  var filter = state.get('typeFilter');
  return TYPE_FILTERS.map(function (_ref) {
    var name = _ref.name,
      filterBy = _ref.filterBy;
    var selectedFilter = filterBy.value === filter.value;
    return /*#__PURE__*/React__default["default"].createElement(Button, {
      key: name,
      className: context$8({
        active: selectedFilter
      }),
      onClick: function onClick() {
        return actions.updateTypeFilter(filterBy);
      },
      variant: "text"
    }, name);
  });
};

var css_248z$i = ".ImportHAR-styles__drag-drop___RvgHH{align-items:center;border:2px dashed #dbe0ea;border-radius:4px;color:#1e2127;cursor:pointer;display:flex;font-size:18px;height:100%;justify-content:center;margin:1rem;min-height:300px}.ImportHAR-styles__drag-drop___RvgHH:hover{border-color:#bfbfbf;color:#555}";
var Styles$i = {"brandBlue":"#0E75DD","drag-drop":"ImportHAR-styles__drag-drop___RvgHH"};
styleInject(css_248z$i);

var IconUpload = function IconUpload(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    viewBox: "0 0 24 24",
    width: "24",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M9 16.8C9 16.9105 9.08954 17 9.2 17H14.8C14.9105 17 15 16.9105 15 16.8V8H18.8C18.974 8 19.0651 7.78851 18.9475 7.65731L12.1477 0.0663729C12.0684 -0.0221243 11.932 -0.0221243 11.8527 0.0663729L5.05292 7.65731C4.93539 7.78851 5.0264 8 5.20039 8H9V16.8Z"
  }), /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M2.5 19.25C2.5 18.5596 1.94036 18 1.25 18C0.559644 18 0 18.5596 0 19.25V22.75C0 23.4404 0.559644 24 1.25 24H22.75C23.4404 24 24 23.4404 24 22.75V19.25C24 18.5596 23.4404 18 22.75 18C22.0596 18 21.5 18.5596 21.5 19.25V21.5H2.5V19.25Z"
  }));
};
IconUpload.propTypes = {
  className: PropTypes__default["default"].string
};
IconUpload.defaultProps = {
  className: ''
};

var ImportHarButton = function ImportHarButton() {
  return /*#__PURE__*/React__default["default"].createElement(Tooltip, {
    title: "Import HAR"
  }, /*#__PURE__*/React__default["default"].createElement(Button, {
    className: Styles$l['icon-button']
  }, /*#__PURE__*/React__default["default"].createElement(IconUpload, {
    className: Styles$l['action-icon']
  })));
};

var DROP_FILE_CONFIG = {
  accept: '.har',
  multiple: false
};
var ImportHar = function ImportHar(_ref) {
  var showButton = _ref.showButton;
  var _useNetwork = useNetwork(),
    actions = _useNetwork.actions;
  var updateErrorMessage = actions.updateErrorMessage;
  var prepareData = function prepareData(newNetworkData) {
    return actions.updateData(newNetworkData);
  };
  var onDrop = function onDrop(files) {
    var reader = new FileReader();
    reader.onabort = function () {
      return updateErrorMessage({
        title: 'file reading was aborted'
      });
    };
    reader.onerror = function () {
      return updateErrorMessage({
        title: 'file reading has failed'
      });
    };
    reader.onload = function () {
      try {
        var data = JSON.parse(reader.result);
        prepareData(data);
      } catch (error) {
        updateErrorMessage({
          title: 'Error while parsing HAR file'
        });
      }
    };
    reader.readAsText(files[0]);
  };
  var _useDropzone = reactDropzone.useDropzone(_objectSpread2(_objectSpread2({}, DROP_FILE_CONFIG), {}, {
      onDrop: onDrop
    })),
    getRootProps = _useDropzone.getRootProps,
    getInputProps = _useDropzone.getInputProps;
  return /*#__PURE__*/React__default["default"].createElement("div", getRootProps(), /*#__PURE__*/React__default["default"].createElement("input", getInputProps()), showButton ? /*#__PURE__*/React__default["default"].createElement(ImportHarButton, null) : /*#__PURE__*/React__default["default"].createElement("p", {
    className: Styles$i['drag-drop']
  }, "Drag and drop HAR file here, or click to select file"));
};
ImportHar.propTypes = {
  showButton: PropTypes__default["default"].bool
};
ImportHar.defaultProps = {
  showButton: true
};

var FilterContainer = function FilterContainer() {
  var _useNetwork = useNetwork(),
    state = _useNetwork.state;
  var _useTheme = useTheme(),
    showExportHar = _useTheme.showExportHar,
    showImportHar = _useTheme.showImportHar,
    showReset = _useTheme.showReset,
    showPauseResume = _useTheme.showPauseResume;
  return /*#__PURE__*/React__default["default"].createElement("section", {
    className: Styles$n['filters-container']
  }, /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$n['filter-row']
  }, /*#__PURE__*/React__default["default"].createElement(StatusFilter, null), /*#__PURE__*/React__default["default"].createElement(Search, state.get('search')), showPauseResume && /*#__PURE__*/React__default["default"].createElement(PauseResumeButton, null), showReset && /*#__PURE__*/React__default["default"].createElement(ResetButton, null), showExportHar && /*#__PURE__*/React__default["default"].createElement(ExportHarButton, {
    rawData: state.get('rawData')
  }), showImportHar && /*#__PURE__*/React__default["default"].createElement(ImportHar, null)), /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$n['type-filter-row']
  }, /*#__PURE__*/React__default["default"].createElement(TypeFilter, null)));
};

var css_248z$h = ".NetworkTable-styles__network-table-body___l3R54{border-top:1px solid #dbe0ea;outline:none}.NetworkTable-styles__no-data___bPXUs{align-items:center;display:flex;flex-direction:column;padding:44px 20px;text-align:center}.NetworkTable-styles__no-data___bPXUs .NetworkTable-styles__network-icon___FRcuW{fill:#979eab;height:28px;width:28px}.NetworkTable-styles__no-data___bPXUs .NetworkTable-styles__header___BQV3I{color:#1e2127;font-weight:600;padding:28px 0 12px}.NetworkTable-styles__no-data___bPXUs .NetworkTable-styles__subtext___eiHs3{color:#6d7584}.NetworkTable-styles__network-table-header___mqPXQ{align-content:center;color:#6d7584;display:flex;font-size:12px;font-weight:700;padding:8px;text-transform:uppercase;width:100%}.NetworkTable-styles__network-table-header___mqPXQ:last-child{padding-right:0}.NetworkTable-styles__table-column___V-6tl{align-self:center;display:flex;min-width:60px;padding-right:8px;width:12%}.NetworkTable-styles__table-column___V-6tl:last-child{padding-right:0}.NetworkTable-styles__table-column___V-6tl.NetworkTable-styles__show-waterfall___mZRWk{width:10%}.NetworkTable-styles__table-column___V-6tl.NetworkTable-styles__file___mIiM0{width:25%}.NetworkTable-styles__table-column___V-6tl.NetworkTable-styles__file___mIiM0.NetworkTable-styles__limited-cols___iWJI3{width:100%}.NetworkTable-styles__table-column___V-6tl.NetworkTable-styles__domain___MPiUt{width:15%}.NetworkTable-styles__network-table-row___L06AP{border-bottom:1px solid #dbe0ea;color:#1e2127;cursor:pointer;display:flex;font-size:12px;overflow:hidden;padding:4px 8px;width:100%}.NetworkTable-styles__network-table-row___L06AP.NetworkTable-styles__pending___-aI5r{color:#aaa}.NetworkTable-styles__network-table-row___L06AP.NetworkTable-styles__error___bm5-V{color:#eb3f47}.NetworkTable-styles__network-table-row___L06AP:hover{background:#e6e6e6}.NetworkTable-styles__network-table-row___L06AP.NetworkTable-styles__highlight___xgHFo{background:#5c7288;color:#fff}.NetworkTable-styles__value-text___qF7zL{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;word-break:break-all}.NetworkTable-styles__network-table-footer___FNR-H{background:#f7f8fa;border-top:1px solid #dbe0ea;display:inline-flex;font-size:12px;padding:4px 12px;vertical-align:middle;width:100%}.NetworkTable-styles__network-table-footer___FNR-H span{align-items:center;border-right:1px solid #ccc;display:inline-flex;flex:1 1 auto;justify-content:center;overflow:hidden;padding:0 4px}.NetworkTable-styles__network-table-footer___FNR-H span:last-child{border-right:none}";
var Styles$h = {"brandBlue":"#0E75DD","network-table-body":"NetworkTable-styles__network-table-body___l3R54","no-data":"NetworkTable-styles__no-data___bPXUs","network-icon":"NetworkTable-styles__network-icon___FRcuW","header":"NetworkTable-styles__header___BQV3I","subtext":"NetworkTable-styles__subtext___eiHs3","network-table-header":"NetworkTable-styles__network-table-header___mqPXQ","table-column":"NetworkTable-styles__table-column___V-6tl","show-waterfall":"NetworkTable-styles__show-waterfall___mZRWk","file":"NetworkTable-styles__file___mIiM0","limited-cols":"NetworkTable-styles__limited-cols___iWJI3","domain":"NetworkTable-styles__domain___MPiUt","network-table-row":"NetworkTable-styles__network-table-row___L06AP","pending":"NetworkTable-styles__pending___-aI5r","error":"NetworkTable-styles__error___bm5-V","highlight":"NetworkTable-styles__highlight___xgHFo","value-text":"NetworkTable-styles__value-text___qF7zL","network-table-footer":"NetworkTable-styles__network-table-footer___FNR-H"};
styleInject(css_248z$h);

var context$7 = classNames__default["default"].bind(Styles$h);
var NetworkTableHeader = function NetworkTableHeader() {
  var _useNetwork = useNetwork(),
    state = _useNetwork.state;
  var showReqDetail = state.get('showReqDetail');
  var tableHeaderWidth = state.get('tableHeaderWidth');
  var _useTheme = useTheme(),
    showWaterfall = _useTheme.showWaterfall;
  var columns = getViewerFields(showReqDetail, showWaterfall);
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$h['network-table-header'],
    style: {
      width: tableHeaderWidth
    }
  }, Object.entries(columns).map(function (_ref) {
    var _ref2 = _slicedToArray(_ref, 2),
      datakey = _ref2[0],
      _ref2$ = _ref2[1],
      key = _ref2$.key,
      name = _ref2$.name;
    return /*#__PURE__*/React__default["default"].createElement("div", {
      key: key,
      className: context$7('table-column', 'value-cell', datakey, {
        'limited-cols': showReqDetail
      }, {
        'show-waterfall': showWaterfall
      })
    }, name);
  }));
};

var css_248z$g = ".NetworkTableContainer-styles__table-container___yl5KV{display:flex;flex-direction:column;height:100%;width:100%}.NetworkTableContainer-styles__table-container___yl5KV.NetworkTableContainer-styles__limited-cols___gJdQk{width:30%}.NetworkTableContainer-styles__har-selection___5ibaM{display:flex;flex-direction:column;width:100%}";
var Styles$g = {"brandBlue":"#0E75DD","table-container":"NetworkTableContainer-styles__table-container___yl5KV","limited-cols":"NetworkTableContainer-styles__limited-cols___gJdQk","har-selection":"NetworkTableContainer-styles__har-selection___5ibaM"};
styleInject(css_248z$g);

var css_248z$f = ".ErrorMessage-styles__error-container___ljOFx{align-items:center;display:flex;flex-direction:column;justify-content:center;padding:1rem;width:100%}.ErrorMessage-styles__error-container___ljOFx .ErrorMessage-styles__title___lJTo9{color:red;font-weight:300}";
var Styles$f = {"error-container":"ErrorMessage-styles__error-container___ljOFx","title":"ErrorMessage-styles__title___lJTo9"};
styleInject(css_248z$f);

var ErrorMessage = function ErrorMessage(_ref) {
  var title = _ref.title,
    description = _ref.description;
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$f['error-container']
  }, title && /*#__PURE__*/React__default["default"].createElement("h4", {
    className: Styles$f.title
  }, title), description && /*#__PURE__*/React__default["default"].createElement("p", null, description));
};
ErrorMessage.propTypes = {
  description: PropTypes__default["default"].any,
  title: PropTypes__default["default"].any
};
ErrorMessage.defaultProps = {
  description: null,
  title: null
};

var css_248z$e = ".InputHAR-styles__input-har-container___skL-t{align-items:center;color:#1e2127;display:flex;flex-direction:column;margin:1rem}.InputHAR-styles__input-har-container___skL-t .InputHAR-styles__input-har-text___usjRP{font-size:18px;font-weight:400}.InputHAR-styles__input-har-container___skL-t .InputHAR-styles__example-url___luNOl{padding-left:4px;text-decoration:none}";
var Styles$e = {"brandBlue":"#0E75DD","input-har-container":"InputHAR-styles__input-har-container___skL-t","input-har-text":"InputHAR-styles__input-har-text___usjRP","example-url":"InputHAR-styles__example-url___luNOl"};
styleInject(css_248z$e);

var css_248z$d = ".URLInput-styles__url-input-container___b98a5{align-items:stretch;display:flex;flex-wrap:wrap;margin:0;max-width:992px;position:relative;width:100%}.URLInput-styles__url-input-container___b98a5 .URLInput-styles__postpend-button___NjC5z{display:flex;height:auto;margin-left:-1px}.URLInput-styles__url-input-container___b98a5 .URLInput-styles__input___vWMQw{background-clip:padding-box;background-color:#fff;border:1px solid #dbe0ea;border-radius:.2rem;border-bottom-right-radius:0;border-top-right-radius:0;color:#646464;flex:1 1 auto;font-size:.875rem;height:26px;line-height:1.5;margin-bottom:0;padding:.25rem .5rem;position:relative;width:1%}";
var Styles$d = {"brandBlue":"#0E75DD","url-input-container":"URLInput-styles__url-input-container___b98a5","postpend-button":"URLInput-styles__postpend-button___NjC5z","input":"URLInput-styles__input___vWMQw"};
styleInject(css_248z$d);

var css_248z$c = ".Checkbox-styles__checkbox-container___nEBCK{min-width:110px;padding:2px 0 0 24px;text-align:right}.Checkbox-styles__checkbox-container___nEBCK .Checkbox-styles__checkbox-label___e-tDx{color:#1e2127;cursor:pointer;font-style:normal;font-weight:400;margin:0;text-transform:none}.Checkbox-styles__checkbox-container___nEBCK .Checkbox-styles__checkbox___driKN{cursor:pointer;margin-right:4px}";
var Styles$c = {"brandBlue":"#0E75DD","checkbox-container":"Checkbox-styles__checkbox-container___nEBCK","checkbox-label":"Checkbox-styles__checkbox-label___e-tDx","checkbox":"Checkbox-styles__checkbox___driKN"};
styleInject(css_248z$c);

var context$6 = classNames__default["default"].bind(Styles$c);
var Checkbox = function Checkbox(_ref) {
  var containerClassName = _ref.containerClassName,
    isChecked = _ref.isChecked,
    onChange = _ref.onChange,
    children = _ref.children,
    title = _ref.title;
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: context$6('checkbox-container', containerClassName)
  }, /*#__PURE__*/React__default["default"].createElement("label", {
    className: Styles$c['checkbox-label'],
    title: title
  }, /*#__PURE__*/React__default["default"].createElement("input", {
    checked: isChecked,
    className: Styles$c.checkbox,
    name: "checkbox",
    onChange: onChange,
    type: "checkbox"
  }), children));
};
Checkbox.propTypes = {
  children: PropTypes__default["default"].any.isRequired,
  containerClassName: PropTypes__default["default"].string,
  isChecked: PropTypes__default["default"].bool,
  onChange: PropTypes__default["default"].func.isRequired,
  title: PropTypes__default["default"].string
};
Checkbox.defaultProps = {
  containerClassName: '',
  isChecked: false,
  title: ''
};

var css_248z$b = ".CORSCheckbox-styles__cors-container___bI-rV{align-items:center;display:flex;min-width:50px;padding:0 1rem 0 0;width:auto}";
var Styles$b = {"cors-container":"CORSCheckbox-styles__cors-container___bI-rV"};
styleInject(css_248z$b);

var CORSCheckbox = function CORSCheckbox(_ref) {
  var isEnabled = _ref.isEnabled,
    onChange = _ref.onChange;
  var handleChange = function handleChange() {
    onChange(!isEnabled);
  };
  return /*#__PURE__*/React__default["default"].createElement(Checkbox, {
    containerClassName: Styles$b['cors-container'],
    isChecked: isEnabled,
    onChange: handleChange,
    title: "CORS Enable"
  }, "CORS");
};
CORSCheckbox.propTypes = {
  isEnabled: PropTypes__default["default"].bool.isRequired,
  onChange: PropTypes__default["default"].func.isRequired
};

var URLInput = function URLInput() {
  var _useState = React.useState(''),
    _useState2 = _slicedToArray(_useState, 2),
    url = _useState2[0],
    setURL = _useState2[1];
  var _useState3 = React.useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    isCORSEnabled = _useState4[0],
    setCORS = _useState4[1];
  var handleInputChange = function handleInputChange(_ref) {
    var target = _ref.target;
    setURL(target.value);
  };
  var handleSubmit = function handleSubmit() {
    var _document$location = document.location,
      origin = _document$location.origin,
      pathname = _document$location.pathname;
    var newURL = "".concat(origin).concat(pathname, "?").concat(qs.stringify({
      file: url,
      isCORSEnabled: isCORSEnabled
    }));
    document.location.href = newURL;
  };
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$d['url-input-container']
  }, /*#__PURE__*/React__default["default"].createElement(CORSCheckbox, {
    isEnabled: isCORSEnabled,
    onChange: setCORS
  }), /*#__PURE__*/React__default["default"].createElement("input", {
    className: Styles$d.input,
    name: "har-url",
    onChange: handleInputChange,
    placeholder: "HAR file URL",
    type: "text",
    value: url
  }), /*#__PURE__*/React__default["default"].createElement(Button, {
    className: Styles$d['postpend-button'],
    onClick: handleSubmit
  }, "GO"));
};

var SAMPLE_HAR_URL = 'https://raw.githubusercontent.com/saucelabs/network-viewer/main/examples/src/data/network.har';
var InputHAR = function InputHAR() {
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$e['input-har-container']
  }, /*#__PURE__*/React__default["default"].createElement("h4", {
    className: Styles$e['input-har-text']
  }, "OR add HAR file URL in the below input box"), /*#__PURE__*/React__default["default"].createElement(URLInput, null), /*#__PURE__*/React__default["default"].createElement("p", null, /*#__PURE__*/React__default["default"].createElement("span", null, "For Example use this har file"), /*#__PURE__*/React__default["default"].createElement("a", {
    className: Styles$e['example-url'],
    href: SAMPLE_HAR_URL,
    rel: "noopener noreferrer",
    target: "_blank"
  }, SAMPLE_HAR_URL)));
};

var css_248z$a = ".TimeChart-styles__time-chart-tooltip___XcshK{background-color:#fff!important;overflow:hidden!important;scrollbar-color:auto!important}.TimeChart-styles__tooltip___4c9Mx{background:#fff;color:#555;display:block;font-size:12px;height:auto;opacity:1;padding:8px;width:280px}.TimeChart-styles__tooltip-info___-xcil{margin-bottom:16px}.TimeChart-styles__tooltip-info___-xcil .TimeChart-styles__time-info___N38ca{margin:0}.TimeChart-styles__waterfall-tooltip-table___TZCxi{border:0;width:100%}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-th___1tswB,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-value___paBoL,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-th___1tswB,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-value___paBoL{background:transparent;border:0;font-weight:400;padding:0;text-align:left}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-value___paBoL,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-value___paBoL{text-align:right}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-tr___L44ET:nth-of-type(odd),.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-tr___L44ET:nth-of-type(odd){background-color:#fff}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ{font-weight:700;padding:0 16px;position:relative}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ:before,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ:before{content:\"\";height:8px;left:0;position:absolute;top:4px;width:8px}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__blocked___zYUSl,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__blocked___zYUSl{color:#a1000c}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__blocked___zYUSl:before,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__blocked___zYUSl:before{background:#a1000c}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__dns___FxMnA,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__dns___FxMnA{color:#dcc9e5}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__dns___FxMnA:before,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__dns___FxMnA:before{background:#dcc9e5}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__ssl___M5Y-M,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__ssl___M5Y-M{color:#e78057}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__ssl___M5Y-M:before,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__ssl___M5Y-M:before{background:#e78057}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__connect___goA6w,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__connect___goA6w{color:#db8553}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__connect___goA6w:before,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__connect___goA6w:before{background:#db8553}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__send___wZ5Z0,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__send___wZ5Z0{color:#3c96c4}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__send___wZ5Z0:before,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__send___wZ5Z0:before{background:#3c96c4}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__wait___MldqB,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__wait___MldqB{color:#7ca0bf}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__wait___MldqB:before,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__wait___MldqB:before{background:#7ca0bf}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__receive___LKvFd,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__receive___LKvFd{color:#65b955}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__receive___LKvFd:before,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__receive___LKvFd:before{background:#65b955}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__queueing___01zoc,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__queueing___01zoc{color:#ccc}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-tbody___eMoBP .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__queueing___01zoc:before,.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-key___eVaAQ.TimeChart-styles__queueing___01zoc:before{background:#ccc}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-th___1tswB{color:gray;padding-bottom:8px}.TimeChart-styles__waterfall-tooltip-table___TZCxi .TimeChart-styles__waterfall-tooltip-thead___B9Xf4 .TimeChart-styles__waterfall-tooltip-th___1tswB:nth-child(2){text-align:right}";
var Styles$a = {"brandBlue":"#0E75DD","time-chart-tooltip":"TimeChart-styles__time-chart-tooltip___XcshK","tooltip":"TimeChart-styles__tooltip___4c9Mx","tooltip-info":"TimeChart-styles__tooltip-info___-xcil","time-info":"TimeChart-styles__time-info___N38ca","waterfall-tooltip-table":"TimeChart-styles__waterfall-tooltip-table___TZCxi","waterfall-tooltip-tbody":"TimeChart-styles__waterfall-tooltip-tbody___eMoBP","waterfall-tooltip-value":"TimeChart-styles__waterfall-tooltip-value___paBoL","waterfall-tooltip-key":"TimeChart-styles__waterfall-tooltip-key___eVaAQ","waterfall-tooltip-th":"TimeChart-styles__waterfall-tooltip-th___1tswB","waterfall-tooltip-thead":"TimeChart-styles__waterfall-tooltip-thead___B9Xf4","waterfall-tooltip-tr":"TimeChart-styles__waterfall-tooltip-tr___L44ET","blocked":"TimeChart-styles__blocked___zYUSl","dns":"TimeChart-styles__dns___FxMnA","ssl":"TimeChart-styles__ssl___M5Y-M","connect":"TimeChart-styles__connect___goA6w","send":"TimeChart-styles__send___wZ5Z0","wait":"TimeChart-styles__wait___MldqB","receive":"TimeChart-styles__receive___LKvFd","queueing":"TimeChart-styles__queueing___01zoc"};
styleInject(css_248z$a);

var context$5 = classNames__default["default"].bind(Styles$a);
var DETAIL = [{
  title: 'Resource Scheduling',
  category: ['queueing']
}, {
  title: 'Connection Start',
  category: ['blocked', 'dns', 'ssl', 'connect']
}, {
  title: 'Request/Response',
  category: ['send', 'wait', 'receive']
}];
var TimeChartTooltip = function TimeChartTooltip(_ref) {
  var data = _ref.data;
  var tooltipData = React.useMemo(function () {
    return !data ? null : prepareTooltipData(data);
  }, [data]);
  if (!tooltipData) {
    return null;
  }
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$a.tooltip
  }, /*#__PURE__*/React__default["default"].createElement("section", {
    className: Styles$a['tooltip-info']
  }, /*#__PURE__*/React__default["default"].createElement("p", {
    className: Styles$a['time-info']
  }, "Queued at ".concat(tooltipData.queuedAt)), /*#__PURE__*/React__default["default"].createElement("p", {
    className: Styles$a['time-info']
  }, "Started at ".concat(tooltipData.startedAt))), DETAIL.map(function (_ref2) {
    var title = _ref2.title,
      category = _ref2.category;
    return /*#__PURE__*/React__default["default"].createElement("section", {
      key: title,
      className: Styles$a['tooltip-info']
    }, /*#__PURE__*/React__default["default"].createElement("table", {
      className: Styles$a['waterfall-tooltip-table']
    }, /*#__PURE__*/React__default["default"].createElement("thead", {
      className: Styles$a['waterfall-tooltip-thead']
    }, /*#__PURE__*/React__default["default"].createElement("tr", {
      className: Styles$a['waterfall-tooltip-tr']
    }, /*#__PURE__*/React__default["default"].createElement("th", {
      className: Styles$a['waterfall-tooltip-th']
    }, title), /*#__PURE__*/React__default["default"].createElement("th", {
      className: Styles$a['waterfall-tooltip-th']
    }, "DURATION"))), /*#__PURE__*/React__default["default"].createElement("tbody", {
      className: Styles$a['waterfall-tooltip-tbody']
    }, category.map(function (key) {
      return /*#__PURE__*/React__default["default"].createElement("tr", {
        key: key,
        className: Styles$a['waterfall-tooltip-tr']
      }, /*#__PURE__*/React__default["default"].createElement("td", {
        className: context$5('waterfall-tooltip-key', key)
      }, TIMINGS[key].name), /*#__PURE__*/React__default["default"].createElement("td", {
        className: Styles$a['waterfall-tooltip-value']
      }, Array.isArray(TIMINGS[key].dataKey) ? tooltipData[TIMINGS[key].dataKey.find(function (dataKey) {
        return tooltipData[dataKey];
      })] : tooltipData[TIMINGS[key].dataKey]));
    }))));
  }), /*#__PURE__*/React__default["default"].createElement("section", {
    className: Styles$a['tooltip-info']
  }, /*#__PURE__*/React__default["default"].createElement("p", {
    className: Styles$a['time-info']
  }, "Total time ".concat(tooltipData.totalTime))));
};
TimeChartTooltip.propTypes = {
  data: PropTypes__default["default"].object.isRequired
};

var TimeChart = function TimeChart(_ref) {
  var timings = _ref.timings,
    maxTime = _ref.maxTime;
  var chartAttributes = React.useMemo(function () {
    return calcChartAttributes(timings, maxTime);
  }, [timings, maxTime]);
  return /*#__PURE__*/React__default["default"].createElement(Tooltip, {
    className: Styles$a['time-chart-tooltip'],
    delay: 300,
    placement: "left",
    title: /*#__PURE__*/React__default["default"].createElement(TimeChartTooltip, {
      data: timings
    })
  }, /*#__PURE__*/React__default["default"].createElement("svg", TIME_CHART_SVG_PROPS, /*#__PURE__*/React__default["default"].createElement("g", null, chartAttributes.map(function (chartProps) {
    return /*#__PURE__*/React__default["default"].createElement("rect", _extends({
      key: chartProps.key
    }, chartProps, TIME_CHART_DEFAULT_PROPS));
  }))));
};
TimeChart.propTypes = {
  maxTime: PropTypes__default["default"].number.isRequired,
  timings: PropTypes__default["default"].object.isRequired
};

var context$4 = classNames__default["default"].bind(Styles$h);
var NetworkCellValue = function NetworkCellValue(_ref) {
  var datakey = _ref.datakey,
    onClick = _ref.onClick,
    payload = _ref.payload,
    unit = _ref.unit;
  var formattedValue = formatValue(datakey, payload[datakey], unit, payload);
  var shouldDisplayTooltip = datakey === VIEWER_FIELDS.file.key || payload.error;
  var getTitle = function getTitle() {
    if (datakey === VIEWER_FIELDS.file.key) {
      return payload.url;
    }
    if (payload.error) {
      return payload.error;
    }
    return formattedValue;
  };
  if (!shouldDisplayTooltip) {
    return /*#__PURE__*/React__default["default"].createElement("div", {
      className: context$4('value-text', datakey)
    }, formattedValue);
  }
  return /*#__PURE__*/React__default["default"].createElement(Tooltip, {
    delay: 500,
    title: getTitle()
  }, /*#__PURE__*/React__default["default"].createElement("div", {
    className: context$4('value-text', datakey),
    onClick: onClick
  }, formattedValue));
};
NetworkCellValue.propTypes = {
  datakey: PropTypes__default["default"].string.isRequired,
  onClick: PropTypes__default["default"].func,
  payload: PropTypes__default["default"].object,
  unit: PropTypes__default["default"].string
};
NetworkCellValue.defaultProps = {
  onClick: function onClick() {},
  payload: {},
  unit: null
};

var context$3 = classNames__default["default"].bind(Styles$h);
var NetworkTableRow = function NetworkTableRow(_ref) {
  var entry = _ref.entry,
    maxTime = _ref.maxTime,
    onSelect = _ref.onSelect,
    scrollHighlight = _ref.scrollHighlight,
    style = _ref.style;
  var _useNetwork = useNetwork(),
    state = _useNetwork.state;
  var showReqDetail = state.get('showReqDetail');
  var _useTheme = useTheme(),
    showWaterfall = _useTheme.showWaterfall;
  var columns = getViewerFields(showReqDetail, showWaterfall);
  var rowProps = {
    className: context$3('network-table-row', getStatusClass(entry), {
      highlight: scrollHighlight
    }),
    id: ROW_ID_PREFIX + entry.index,
    onClick: function onClick() {
      return onSelect(entry);
    }
  };
  return /*#__PURE__*/React__default["default"].createElement("div", {
    style: _objectSpread2({}, style)
  }, /*#__PURE__*/React__default["default"].createElement("div", rowProps, Object.entries(columns).map(function (_ref2) {
    var _ref3 = _slicedToArray(_ref2, 2),
      datakey = _ref3[0],
      _ref3$ = _ref3[1],
      key = _ref3$.key,
      unit = _ref3$.unit;
    return /*#__PURE__*/React__default["default"].createElement("div", {
      key: key,
      className: context$3('table-column', datakey, {
        'limited-cols': showReqDetail
      }, {
        'show-waterfall': showWaterfall
      })
    }, key === 'waterfall' && entry.time ? /*#__PURE__*/React__default["default"].createElement(TimeChart, {
      maxTime: maxTime,
      timings: entry.timings
    }) : /*#__PURE__*/React__default["default"].createElement(NetworkCellValue, {
      datakey: key,
      onClick: rowProps.onClick,
      payload: entry,
      unit: unit
    }));
  })));
};
NetworkTableRow.propTypes = {
  entry: PropTypes__default["default"].object.isRequired,
  maxTime: PropTypes__default["default"].number.isRequired,
  onSelect: PropTypes__default["default"].func.isRequired,
  scrollHighlight: PropTypes__default["default"].bool.isRequired,
  style: PropTypes__default["default"].object
};
NetworkTableRow.defaultProps = {
  style: {}
};

/* eslint no-underscore-dangle: 0 */

var debounce = function debounce(func, delay) {
  var timeoutId;
  return function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    if (timeoutId) clearTimeout(timeoutId);
    timeoutId = setTimeout(function () {
      func.apply(void 0, args);
    }, delay);
  };
};
var useResizeObserver = function useResizeObserver(elementRef) {
  var _useState = React.useState({
      width: 0,
      height: 0
    }),
    _useState2 = _slicedToArray(_useState, 2),
    elementDims = _useState2[0],
    setElementDims = _useState2[1];
  React.useEffect(function () {
    var onResize = debounce(function () {
      if (elementRef) {
        setElementDims({
          width: elementRef.clientWidth,
          height: elementRef.clientHeight
        });
      }
    }, 50);
    var resizeObserver = new ResizeObserver(function () {
      return onResize();
    });
    if (elementRef) {
      resizeObserver.observe(elementRef);
    }
    return function () {
      if (elementRef) {
        resizeObserver.unobserve(elementRef);
      }
    };
  }, [elementRef]);
  return {
    elementDims: elementDims
  };
};

var IconNetworkRequest = function IconNetworkRequest(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    viewBox: "0 0 24 24",
    width: "24",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M5.5 14.4999C5.5 14.7761 5.72386 14.9999 6 14.9999H8C8.27614 14.9999 8.5 14.7761 8.5 14.4999V6.99994H12.5697C12.7399 6.99994 12.8323 6.80096 12.7225 6.67093L7.1531 0.0736706C7.0732 -0.0209768 6.92735 -0.0209758 6.84745 0.0736716L1.27803 6.67093C1.16826 6.80096 1.26069 6.99994 1.43085 6.99994H5.5V14.4999Z"
  }), /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M15.5 9.49994C15.5 9.2238 15.7239 8.99994 16 8.99994H18C18.2761 8.99994 18.5 9.2238 18.5 9.49994V16.9999H22.5697C22.7399 16.9999 22.8323 17.1989 22.7225 17.329L17.1531 23.9262C17.0732 24.0209 16.9274 24.0209 16.8474 23.9262L11.278 17.329C11.1683 17.1989 11.2607 16.9999 11.4309 16.9999H15.5V9.49994Z"
  }));
};
IconNetworkRequest.propTypes = {
  className: PropTypes__default["default"].string
};
IconNetworkRequest.defaultProps = {
  className: ''
};

/* eslint no-underscore-dangle: 0 */

var virtualizedTableRow = function virtualizedTableRow(_ref) {
  var data = _ref.data,
    index = _ref.index,
    style = _ref.style;
  var listData = data.listData,
    totalNetworkTime = data.totalNetworkTime,
    handleReqSelect = data.handleReqSelect,
    selectedReqIndex = data.selectedReqIndex;
  var item = listData.get(index);
  return /*#__PURE__*/React__default["default"].createElement(NetworkTableRow, {
    key: index,
    entry: item,
    maxTime: totalNetworkTime,
    onSelect: handleReqSelect,
    scrollHighlight: selectedReqIndex === item.index,
    style: style
  });
};
var NetworkTableBody = function NetworkTableBody(_ref2) {
  var _listRef$current;
  var height = _ref2.height;
  var _useNetwork = useNetwork(),
    state = _useNetwork.state,
    actions = _useNetwork.actions,
    callbacks = _useNetwork.callbacks;
  var _useTheme = useTheme(),
    enableAutoScroll = _useTheme.enableAutoScroll,
    NoDataPlaceholder = _useTheme.NoDataPlaceholder;
  var numberOfNewEntries = state.get('numberOfNewEntries');
  var data = state.get('data');
  var actualData = state.get('actualData');
  var totalNetworkTime = state.get('totalNetworkTime');
  var selectedReqIndex = state.get('selectedReqIndex');
  var listRef = React.useRef(null);
  var _useResizeObserver = useResizeObserver((listRef === null || listRef === void 0 || (_listRef$current = listRef.current) === null || _listRef$current === void 0 ? void 0 : _listRef$current._outerRef) || (listRef === null || listRef === void 0 ? void 0 : listRef.current)),
    elementDims = _useResizeObserver.elementDims;
  React.useEffect(function () {
    actions.setTableHeaderWidth(elementDims.width);
  }, [elementDims]);
  React.useEffect(function () {
    var _listRef$current2;
    if (enableAutoScroll && listRef !== null && listRef !== void 0 && (_listRef$current2 = listRef.current) !== null && _listRef$current2 !== void 0 && _listRef$current2._outerRef) {
      var _listRef$current3;
      var outerRef = listRef === null || listRef === void 0 || (_listRef$current3 = listRef.current) === null || _listRef$current3 === void 0 ? void 0 : _listRef$current3._outerRef;
      var needToScroll = outerRef.scrollTop + outerRef.offsetHeight + numberOfNewEntries * TABLE_ENTRY_HEIGHT >= outerRef.scrollHeight;
      if (needToScroll) {
        listRef.current._outerRef.scrollTop = outerRef.scrollHeight;
      }
    }
  }, [data, listRef]);
  var handleReqSelect = function handleReqSelect(payload) {
    if (selectedReqIndex === payload.index) {
      return;
    }
    actions.updateScrollToIndex(payload.index);
    actions.selectRequest(payload);
    callbacks.onRequestSelect(payload);
  };
  if (actualData.size === 0) {
    return /*#__PURE__*/React__default["default"].createElement("div", {
      ref: listRef,
      className: Styles$h['no-data']
    }, /*#__PURE__*/React__default["default"].createElement(IconNetworkRequest, {
      className: Styles$h['network-icon']
    }), NoDataPlaceholder && /*#__PURE__*/React__default["default"].createElement(NoDataPlaceholder, null), !NoDataPlaceholder && /*#__PURE__*/React__default["default"].createElement(React__default["default"].Fragment, null, /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$h.header
    }, "Recording network activity"), /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$h.subtext
    }, "Perform a request to see the network activity")));
  }
  return /*#__PURE__*/React__default["default"].createElement(React__default["default"].Fragment, null, /*#__PURE__*/React__default["default"].createElement(reactWindow.FixedSizeList, {
    ref: listRef,
    className: Styles$h['network-table-body'],
    height: height,
    itemCount: data.size,
    itemData: {
      listData: data,
      totalNetworkTime: totalNetworkTime,
      handleReqSelect: handleReqSelect,
      selectedReqIndex: selectedReqIndex
    },
    itemSize: TABLE_ENTRY_HEIGHT
  }, virtualizedTableRow));
};
NetworkTableBody.propTypes = {
  height: PropTypes__default["default"].number.isRequired
};

var context$2 = classNames__default["default"].bind(Styles$g);
var NetworkTableContainer = function NetworkTableContainer() {
  var _useNetwork = useNetwork(),
    state = _useNetwork.state;
  var _useTheme = useTheme(),
    showImportHar = _useTheme.showImportHar,
    showWaterfall = _useTheme.showWaterfall;
  var actualData = state.get('actualData');
  var error = state.get('error');
  var showReqDetail = state.get('showReqDetail');
  var _useState = React.useState(0),
    _useState2 = _slicedToArray(_useState, 2),
    tableBodyHeight = _useState2[0],
    setTableBodyHeight = _useState2[1];
  var ref = React.useRef();
  var _useResizeObserver = useResizeObserver(ref === null || ref === void 0 ? void 0 : ref.current),
    elementDims = _useResizeObserver.elementDims;
  React.useEffect(function () {
    if (ref !== null && ref !== void 0 && ref.current && elementDims.height) {
      setTableBodyHeight(ref.current.clientHeight - TABLE_HEADER_HEIGHT);
    }
  }, [ref === null || ref === void 0 ? void 0 : ref.current, actualData, elementDims]);
  if (error) {
    return /*#__PURE__*/React__default["default"].createElement(ErrorMessage, error);
  }
  if (!actualData.size && showImportHar) {
    return /*#__PURE__*/React__default["default"].createElement("section", {
      className: Styles$g['har-selection']
    }, /*#__PURE__*/React__default["default"].createElement(ImportHar, {
      showButton: false
    }), /*#__PURE__*/React__default["default"].createElement(InputHAR, null));
  }
  return /*#__PURE__*/React__default["default"].createElement("section", {
    ref: ref,
    className: context$2('table-container', {
      'hide-waterfall': !showWaterfall
    }, {
      'limited-cols': showReqDetail
    })
  }, /*#__PURE__*/React__default["default"].createElement(NetworkTableHeader, null), /*#__PURE__*/React__default["default"].createElement(NetworkTableBody, {
    height: tableBodyHeight
  }));
};

var css_248z$9 = ".LoaderContainer-styles__loader-container___22gl9{align-items:center;display:flex;justify-content:center;min-height:200px}.LoaderContainer-styles__spin___ky0rB{height:3rem;line-height:0;transform:translateZ(0);width:3rem}.LoaderContainer-styles__spin___ky0rB svg{animation:LoaderContainer-styles__load___lqM7u 1.4s linear infinite}.LoaderContainer-styles__text___FJnVM{padding-left:15px}@keyframes LoaderContainer-styles__load___lqM7u{0%{transform:rotate(0deg)}to{transform:rotate(1turn)}}";
var Styles$9 = {"loader-container":"LoaderContainer-styles__loader-container___22gl9","spin":"LoaderContainer-styles__spin___ky0rB","load":"LoaderContainer-styles__load___lqM7u","text":"LoaderContainer-styles__text___FJnVM"};
styleInject(css_248z$9);

var LoaderContainer = function LoaderContainer(_ref) {
  var children = _ref.children,
    show = _ref.show,
    text = _ref.text;
  var colorBrandBlue = '#0E75DD';
  var uniqueId = "Gradient-".concat(Math.round(Math.random() * 10000000));
  return !show ? children : /*#__PURE__*/React__default["default"].createElement("section", {
    className: Styles$9['loader-container']
  }, /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$9.spin
  }, /*#__PURE__*/React__default["default"].createElement("svg", {
    viewBox: "0 0 100 100",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("defs", null, /*#__PURE__*/React__default["default"].createElement("linearGradient", {
    id: uniqueId
  }, /*#__PURE__*/React__default["default"].createElement("stop", {
    offset: "0%",
    stopColor: colorBrandBlue
  }), /*#__PURE__*/React__default["default"].createElement("stop", {
    offset: "75%",
    stopColor: colorBrandBlue,
    stopOpacity: "0"
  }), /*#__PURE__*/React__default["default"].createElement("stop", {
    offset: "100%",
    stopColor: colorBrandBlue,
    stopOpacity: "0"
  }))), /*#__PURE__*/React__default["default"].createElement("circle", {
    cx: "50",
    cy: "50",
    fill: "transparent",
    r: "43",
    stroke: "url(#".concat(uniqueId, ")"),
    strokeWidth: "14"
  }))), text && /*#__PURE__*/React__default["default"].createElement("p", {
    className: Styles$9.text
  }, text));
};
LoaderContainer.propTypes = {
  children: PropTypes__default["default"].node,
  show: PropTypes__default["default"].bool,
  text: PropTypes__default["default"].oneOfType([PropTypes__default["default"].string, PropTypes__default["default"].node])
};
LoaderContainer.defaultProps = {
  children: null,
  show: true,
  text: null
};

var css_248z$8 = ".ReqDetailContainer-styles__req-detail-container___tjrsQ{background:#fff;border-left:1px solid #dbe0ea;height:100%;overflow:auto;position:relative;width:70%}.ReqDetailContainer-styles__req-detail-container___tjrsQ .ReqDetailContainer-styles__nav-tabs___Ilz0g{height:35px;padding-left:35px}.ReqDetailContainer-styles__req-detail-container___tjrsQ .ReqDetailContainer-styles__tab-link___2Qz7z{border:0;color:#1e2127;margin:0;padding:8px 12px 4px}.ReqDetailContainer-styles__req-detail-container___tjrsQ .ReqDetailContainer-styles__tab-link___2Qz7z:hover{text-decoration:none}.ReqDetailContainer-styles__req-detail-container___tjrsQ .ReqDetailContainer-styles__tab-link___2Qz7z.ReqDetailContainer-styles__active___NYqvK{border-bottom:2px solid #1e2127;color:#1e2127;font-weight:600}.ReqDetailContainer-styles__req-detail-container___tjrsQ .ReqDetailContainer-styles__close-button___bd4r1{background:transparent;border:0;cursor:pointer;left:8px;outline:none;padding-top:4px;position:absolute;top:8px}.ReqDetailContainer-styles__req-detail-container___tjrsQ .ReqDetailContainer-styles__close-button___bd4r1 .ReqDetailContainer-styles__close-icon___Og3Vi{fill:#6d7584;height:12px;width:12px}.ReqDetailContainer-styles__req-detail-container___tjrsQ .ReqDetailContainer-styles__close-button___bd4r1 .ReqDetailContainer-styles__close-icon___Og3Vi g{stroke:#555}.ReqDetailContainer-styles__req-detail-container___tjrsQ .ReqDetailContainer-styles__close-button___bd4r1:hover .ReqDetailContainer-styles__close-icon___Og3Vi g{stroke:#000}.ReqDetailContainer-styles__req-detail-container___tjrsQ .ReqDetailContainer-styles__tabs-container___RgAIs{display:flex;height:calc(100% - 35px);outline:none;overflow:auto;width:100%}";
var Styles$8 = {"brandBlue":"#0E75DD","req-detail-container":"ReqDetailContainer-styles__req-detail-container___tjrsQ","nav-tabs":"ReqDetailContainer-styles__nav-tabs___Ilz0g","tab-link":"ReqDetailContainer-styles__tab-link___2Qz7z","active":"ReqDetailContainer-styles__active___NYqvK","close-button":"ReqDetailContainer-styles__close-button___bd4r1","close-icon":"ReqDetailContainer-styles__close-icon___Og3Vi","tabs-container":"ReqDetailContainer-styles__tabs-container___RgAIs"};
styleInject(css_248z$8);

var css_248z$7 = ".Tabs-styles__nav-tabs___abDlX{border-bottom:1px solid #e6e6e6;display:flex;flex-wrap:wrap;list-style:none;margin-bottom:0;padding-left:0}.Tabs-styles__tab-item___E6kiN{background-color:transparent;border:1px solid transparent;border-top-left-radius:.25rem;border-top-right-radius:.25rem;color:#007bff;cursor:pointer;display:block;margin-bottom:-1px;padding:.5rem 1rem;text-decoration:none}.Tabs-styles__tab-item___E6kiN:active,.Tabs-styles__tab-item___E6kiN:focus{outline:none}.Tabs-styles__tab-item___E6kiN.Tabs-styles__active___xRcuF{background-color:#fff;border-color:#e6e6e6 #e6e6e6 #fff;color:#646464}";
var Styles$7 = {"brandBlue":"#0E75DD","nav-tabs":"Tabs-styles__nav-tabs___abDlX","tab-item":"Tabs-styles__tab-item___E6kiN","active":"Tabs-styles__active___xRcuF"};
styleInject(css_248z$7);

var context$1 = classNames__default["default"].bind(Styles$7);
var Tabs = function Tabs(_ref) {
  var onUpdate = _ref.onUpdate,
    selectedKey = _ref.selectedKey,
    defaultSelectedKey = _ref.defaultSelectedKey,
    children = _ref.children,
    navTabsClassName = _ref.navTabsClassName,
    tabsContainerClassName = _ref.tabsContainerClassName,
    navLinkClassName = _ref.navLinkClassName,
    activeClassName = _ref.activeClassName;
  var _useState = React.useState([]),
    _useState2 = _slicedToArray(_useState, 2),
    items = _useState2[0],
    updateItems = _useState2[1];
  React.useEffect(function () {
    var itemsCollection = [];
    React__default["default"].Children.forEach(children, function (element) {
      if ( /*#__PURE__*/React__default["default"].isValidElement(element)) {
        var _element$props = element.props,
          name = _element$props.name,
          key = _element$props.eventKey,
          component = _element$props.children;
        itemsCollection.push({
          name: name,
          key: key,
          component: component
        });
      }
    });
    updateItems(itemsCollection);
  }, [children]);
  var _useState3 = React.useState(defaultSelectedKey || (items && items.length ? items[0].key : null)),
    _useState4 = _slicedToArray(_useState3, 2),
    activeTab = _useState4[0],
    updateTab = _useState4[1];
  var handleUpdate = function handleUpdate(key) {
    updateTab(key);
    if (onUpdate) {
      onUpdate(key);
    }
  };
  var renderItem = function renderItem() {
    var selectedTab = items.find(function (_ref2) {
      var key = _ref2.key;
      return key === (selectedKey || activeTab);
    });
    return selectedTab ? selectedTab.component : null;
  };
  return /*#__PURE__*/React__default["default"].createElement(React__default["default"].Fragment, null, /*#__PURE__*/React__default["default"].createElement("nav", {
    className: context$1('nav-tabs', navTabsClassName)
  }, items.map(function (_ref3, index) {
    var item = _ref3.key,
      name = _ref3.name;
    return /*#__PURE__*/React__default["default"].createElement("a", {
      key: item,
      className: context$1('tab-item', navLinkClassName, _defineProperty({}, activeClassName || Styles$7.active, activeTab === item)),
      onClick: function onClick() {
        return handleUpdate(item);
      },
      role: "tab",
      tabIndex: index
    }, name);
  })), /*#__PURE__*/React__default["default"].createElement("section", {
    className: context$1(tabsContainerClassName)
  }, renderItem()));
};
Tabs.propTypes = {
  activeClassName: PropTypes__default["default"].string,
  children: PropTypes__default["default"].node.isRequired,
  defaultSelectedKey: PropTypes__default["default"].string,
  navLinkClassName: PropTypes__default["default"].string,
  navTabsClassName: PropTypes__default["default"].string,
  onUpdate: PropTypes__default["default"].func,
  selectedKey: PropTypes__default["default"].string,
  tabsContainerClassName: PropTypes__default["default"].string
};
Tabs.defaultProps = {
  activeClassName: null,
  defaultSelectedKey: null,
  navLinkClassName: null,
  navTabsClassName: null,
  onUpdate: null,
  selectedKey: null,
  tabsContainerClassName: null
};

var Tab = function Tab(_ref) {
  var children = _ref.children;
  return children;
};
Tab.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

var css_248z$6 = ".ReqDetail-styles__section-container___JHZCz{width:100%}.ReqDetail-styles__section-title-row___mSF8m{align-items:center;background:#f7f8fa;border-bottom:1px solid #dbe0ea;border-top:1px solid #dbe0ea;color:#1e2127;cursor:pointer;display:flex;font-size:13px;font-weight:500;padding:4px 12px;width:100%}.ReqDetail-styles__section-title-row___mSF8m:first-child{border-top:0}.ReqDetail-styles__section-title-row___mSF8m .ReqDetail-styles__section-title___hc3Hi{align-items:center;display:flex}.ReqDetail-styles__section-title-row___mSF8m .ReqDetail-styles__section-title___hc3Hi .ReqDetail-styles__caret-icon___r9OKY{fill:#6d7584;height:16px;margin-right:4px;width:16px}.ReqDetail-styles__section-title-row___mSF8m .ReqDetail-styles__encode-url___gm0tr{font-size:12px;margin-left:12px}.ReqDetail-styles__section-title-row___mSF8m span:focus,.ReqDetail-styles__section-title-row___mSF8m:focus{outline:none}.ReqDetail-styles__section-detail___MvXed{padding:8px 12px;width:100%}.ReqDetail-styles__section-detail___MvXed .ReqDetail-styles__info-row___QXOqe{font-size:12px;margin:0;padding-bottom:4px}.ReqDetail-styles__section-detail___MvXed .ReqDetail-styles__info-row___QXOqe:last-child{padding-bottom:0}.ReqDetail-styles__section-detail___MvXed .ReqDetail-styles__info-caption___p-Y-j{font-weight:700;padding-right:8px}.ReqDetail-styles__section-detail___MvXed .ReqDetail-styles__info-value___4gnJ-{word-break:break-all}.ReqDetail-styles__no-payload___NNYCE{align-items:center;color:#1e2127;display:flex;font-size:18px;justify-content:center;width:100%}.ReqDetail-styles__payload-content___Ej2F8{display:flex;flex-direction:column;font-size:12px;width:100%}.ReqDetail-styles__payload-content___Ej2F8 .ReqDetail-styles__copy-button___4-PO5{background:#fff;display:flex;justify-content:end;margin-top:-8px;position:sticky;top:0;width:100%}.ReqDetail-styles__payload-content___Ej2F8 .ReqDetail-styles__payload-body___YIngg{font-family:monospace;white-space:pre-wrap;word-break:break-all}";
var Styles$6 = {"brandBlue":"#0E75DD","section-container":"ReqDetail-styles__section-container___JHZCz","section-title-row":"ReqDetail-styles__section-title-row___mSF8m","section-title":"ReqDetail-styles__section-title___hc3Hi","caret-icon":"ReqDetail-styles__caret-icon___r9OKY","encode-url":"ReqDetail-styles__encode-url___gm0tr","section-detail":"ReqDetail-styles__section-detail___MvXed","info-row":"ReqDetail-styles__info-row___QXOqe","info-caption":"ReqDetail-styles__info-caption___p-Y-j","info-value":"ReqDetail-styles__info-value___4gnJ-","no-payload":"ReqDetail-styles__no-payload___NNYCE","payload-content":"ReqDetail-styles__payload-content___Ej2F8","copy-button":"ReqDetail-styles__copy-button___4-PO5","payload-body":"ReqDetail-styles__payload-body___YIngg"};
styleInject(css_248z$6);

var General = function General(_ref) {
  var data = _ref.data;
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['section-detail']
  }, Object.entries(GENERAL_HEADERS).map(function (_ref2) {
    var _ref3 = _slicedToArray(_ref2, 2),
      dataKey = _ref3[0],
      _ref3$ = _ref3[1],
      key = _ref3$.key,
      name = _ref3$.name;
    return /*#__PURE__*/React__default["default"].createElement("div", {
      key: dataKey,
      className: Styles$6['info-row']
    }, /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$6['info-caption']
    }, "".concat(name, ":")), /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$6['info-value']
    }, key === 'status' && data.error ? data.error : data[key]));
  }));
};
General.propTypes = {
  data: PropTypes__default["default"].object
};
General.defaultProps = {
  data: null
};

var ResponseHeaders = function ResponseHeaders(_ref) {
  var data = _ref.data;
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['section-detail']
  }, data.headers.response.map(function (_ref2, index) {
    var name = _ref2.name,
      value = _ref2.value;
    return /*#__PURE__*/React__default["default"].createElement("div", {
      key: "".concat(name, "-").concat(index),
      className: Styles$6['info-row']
    }, /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$6['info-caption']
    }, "".concat(name, ":")), /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$6['info-value']
    }, value));
  }));
};
ResponseHeaders.propTypes = {
  data: PropTypes__default["default"].object
};
ResponseHeaders.defaultProps = {
  data: null
};

var RequestHeaders = function RequestHeaders(_ref) {
  var data = _ref.data;
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['section-detail']
  }, data.headers.request.map(function (_ref2, index) {
    var name = _ref2.name,
      value = _ref2.value;
    return /*#__PURE__*/React__default["default"].createElement("div", {
      key: "".concat(name, "-").concat(index),
      className: Styles$6['info-row']
    }, /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$6['info-caption']
    }, "".concat(name, ":")), /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$6['info-value']
    }, value));
  }));
};
RequestHeaders.propTypes = {
  data: PropTypes__default["default"].object
};
RequestHeaders.defaultProps = {
  data: null
};

var IconCaretDown = function IconCaretDown(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    viewBox: "0 0 24 24",
    width: "24",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M5.04607 8.29925C4.94259 8.1833 5.02523 8 5.181 8H18.8192C18.975 8 19.0577 8.1833 18.9542 8.29925L12.1351 15.9397C12.0632 16.0201 11.937 16.0201 11.8652 15.9397L5.04607 8.29925Z"
  }));
};
IconCaretDown.propTypes = {
  className: PropTypes__default["default"].string
};
IconCaretDown.defaultProps = {
  className: ''
};

var IconCaretRight = function IconCaretRight(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    viewBox: "0 0 25 24",
    width: "25",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M8.42327 18.954C8.30732 19.0575 8.12402 18.9748 8.12402 18.8191L8.12402 5.18082C8.12402 5.02505 8.30732 4.9424 8.42327 5.04589L16.0637 11.865C16.1441 11.9368 16.1441 12.0631 16.0637 12.1349L8.42327 18.954Z"
  }));
};
IconCaretRight.propTypes = {
  className: PropTypes__default["default"].string
};
IconCaretRight.defaultProps = {
  className: ''
};

var SectionTitle = function SectionTitle(_ref) {
  var _onClick = _ref.onClick,
    eventKey = _ref.eventKey,
    isEncodeEnabled = _ref.isEncodeEnabled,
    isOpen = _ref.isOpen,
    onPayloadTransform = _ref.onPayloadTransform,
    isPayloadTransformed = _ref.isPayloadTransformed,
    isParseEnabled = _ref.isParseEnabled;
  var payloadStatus = PAYLOAD_CAPTIONS[isParseEnabled ? 'parse' : 'encode'][isPayloadTransformed];
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['section-title-row']
  }, /*#__PURE__*/React__default["default"].createElement("span", {
    className: Styles$6['section-title'],
    onClick: function onClick() {
      return _onClick(SECTION_TITLES[eventKey].key);
    },
    role: "button",
    tabIndex: 0
  }, isOpen ? /*#__PURE__*/React__default["default"].createElement(IconCaretDown, {
    className: Styles$6['caret-icon']
  }) : /*#__PURE__*/React__default["default"].createElement(IconCaretRight, {
    className: Styles$6['caret-icon']
  }), SECTION_TITLES[eventKey].name), (isEncodeEnabled || isParseEnabled) && /*#__PURE__*/React__default["default"].createElement("span", {
    className: Styles$6['encode-url'],
    onClick: onPayloadTransform,
    role: "button",
    tabIndex: 0
  }, "view ".concat(payloadStatus)));
};
SectionTitle.propTypes = {
  eventKey: PropTypes__default["default"].string.isRequired,
  isEncodeEnabled: PropTypes__default["default"].bool,
  isOpen: PropTypes__default["default"].bool,
  isParseEnabled: PropTypes__default["default"].bool,
  isPayloadTransformed: PropTypes__default["default"].bool,
  onClick: PropTypes__default["default"].func.isRequired,
  onPayloadTransform: PropTypes__default["default"].func.isRequired
};
SectionTitle.defaultProps = {
  isEncodeEnabled: false,
  isOpen: false,
  isParseEnabled: false,
  isPayloadTransformed: true
};

var SectionInfo = function SectionInfo(_ref) {
  var eventKey = _ref.eventKey,
    data = _ref.data,
    component = _ref.component,
    isEncodeEnabled = _ref.isEncodeEnabled,
    isParseEnabled = _ref.isParseEnabled,
    isVisible = _ref.isVisible;
  var _useState = React.useState(isVisible),
    _useState2 = _slicedToArray(_useState, 2),
    isOpen = _useState2[0],
    setIsOpen = _useState2[1];
  var _useState3 = React.useState(true),
    _useState4 = _slicedToArray(_useState3, 2),
    isPayloadTransformed = _useState4[0],
    updateTransform = _useState4[1];
  var handlePayloadTransform = function handlePayloadTransform() {
    return updateTransform(!isPayloadTransformed);
  };
  var ChildComponent = function ChildComponent() {
    return component({
      data: data,
      isPayloadTransformed: isPayloadTransformed,
      onChangeEncode: handlePayloadTransform
    });
  };
  return /*#__PURE__*/React__default["default"].createElement(React__default["default"].Fragment, null, /*#__PURE__*/React__default["default"].createElement(SectionTitle, {
    eventKey: eventKey,
    isEncodeEnabled: isEncodeEnabled,
    isOpen: isOpen,
    isParseEnabled: isParseEnabled,
    isPayloadTransformed: isPayloadTransformed,
    onClick: function onClick() {
      return setIsOpen(!isOpen);
    },
    onPayloadTransform: handlePayloadTransform
  }), isOpen && /*#__PURE__*/React__default["default"].createElement(ChildComponent, null));
};
SectionInfo.propTypes = {
  component: PropTypes__default["default"].func.isRequired,
  data: PropTypes__default["default"].object,
  eventKey: PropTypes__default["default"].string.isRequired,
  isEncodeEnabled: PropTypes__default["default"].bool,
  isParseEnabled: PropTypes__default["default"].bool,
  isVisible: PropTypes__default["default"].bool
};
SectionInfo.defaultProps = {
  data: null,
  isEncodeEnabled: false,
  isParseEnabled: false,
  isVisible: false
};

var Headers = function Headers(_ref) {
  var data = _ref.data;
  return !data ? null : /*#__PURE__*/React__default["default"].createElement("section", {
    className: Styles$6['section-container']
  }, /*#__PURE__*/React__default["default"].createElement(SectionInfo, {
    component: General,
    data: data,
    eventKey: "general",
    isVisible: true
  }), /*#__PURE__*/React__default["default"].createElement(SectionInfo, {
    component: RequestHeaders,
    data: data,
    eventKey: "requestHeaders"
  }), /*#__PURE__*/React__default["default"].createElement(SectionInfo, {
    component: ResponseHeaders,
    data: data,
    eventKey: "responseHeaders"
  }));
};
Headers.propTypes = {
  data: PropTypes__default["default"].object
};
Headers.defaultProps = {
  data: null
};

var IconCloseSign = function IconCloseSign(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    viewBox: "0 0 24 24",
    width: "24",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    clipRule: "evenodd",
    d: "M3.33792 3.33794C3.82607 2.84979 4.61753 2.84979 5.10569 3.33794L12 10.2322L18.8943 3.33794C19.3824 2.84979 20.1739 2.84979 20.662 3.33794C21.1502 3.8261 21.1502 4.61755 20.662 5.10571L13.7677 12L20.662 18.8943C21.1502 19.3824 21.1502 20.1739 20.662 20.6621C20.1739 21.1502 19.3824 21.1502 18.8943 20.6621L12 13.7678L5.10569 20.6621C4.61753 21.1502 3.82607 21.1502 3.33792 20.6621C2.84976 20.1739 2.84976 19.3824 3.33792 18.8943L10.2322 12L3.33792 5.10571C2.84976 4.61755 2.84976 3.8261 3.33792 3.33794Z",
    fillRule: "evenodd"
  }));
};
IconCloseSign.propTypes = {
  className: PropTypes__default["default"].string
};
IconCloseSign.defaultProps = {
  className: ''
};

var css_248z$5 = ".CopyAllButton-styles__copy-button___Xxmiv{color:#0e75dd;font-size:12px;height:26px}.CopyAllButton-styles__copy-button___Xxmiv .CopyAllButton-styles__copy-text___wsmT3{padding-left:4px}.CopyAllButton-styles__copy-button___Xxmiv .CopyAllButton-styles__copy-icon___hPCHy{fill:#0e75dd;height:12px;width:12px}";
var Styles$5 = {"brandBlue":"#0E75DD","copy-button":"CopyAllButton-styles__copy-button___Xxmiv","copy-text":"CopyAllButton-styles__copy-text___wsmT3","copy-icon":"CopyAllButton-styles__copy-icon___hPCHy"};
styleInject(css_248z$5);

var IconCopy = function IconCopy(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    viewBox: "0 0 24 24",
    width: "24",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    clipRule: "evenodd",
    d: "M14.5 0C15.3284 0 16 0.671573 16 1.5V4H22C23.1046 4 24 4.89543 24 6V22C24 23.1046 23.1046 24 22 24H10C8.89543 24 8 23.1046 8 22V20H1.5C0.671572 20 0 19.3284 0 18.5V5.34711C0 4.93755 0.167468 4.5458 0.463528 4.2628L4.4882 0.415691C4.76731 0.148892 5.13856 0 5.52467 0H14.5ZM22 6V22H10V11.2H14.9999C15.2652 11.2 15.5195 11.0946 15.707 10.9071C15.8946 10.7195 15.9999 10.4652 15.9999 10.2V6H22ZM13.9999 6H13.7252L10.3775 9.19997H13.9999V6Z",
    fillRule: "evenodd"
  }));
};
IconCopy.propTypes = {
  className: PropTypes__default["default"].string
};
IconCopy.defaultProps = {
  className: ''
};

var IconCheckMark = function IconCheckMark(_ref) {
  var className = _ref.className;
  return /*#__PURE__*/React__default["default"].createElement("svg", {
    className: className,
    height: "24",
    viewBox: "0 0 24 24",
    width: "24",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default["default"].createElement("path", {
    clipRule: "evenodd",
    d: "M23.5789 2.30868C24.0956 2.75821 24.1435 3.53404 23.6857 4.04153L7.48717 22L0.313554 14.0321C-0.143724 13.5242 -0.0951526 12.7485 0.42204 12.2994C0.939233 11.8503 1.7292 11.898 2.18648 12.4059L7.48892 18.2954L21.8143 2.41361C22.2721 1.90612 23.0621 1.85914 23.5789 2.30868Z",
    fillRule: "evenodd"
  }));
};
IconCheckMark.propTypes = {
  className: PropTypes__default["default"].string
};
IconCheckMark.defaultProps = {
  className: ''
};

var CopyAllButton = function CopyAllButton(_ref) {
  var text = _ref.text;
  var _useState = React.useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    isCopied = _useState2[0],
    setIsCopied = _useState2[1];
  var timeoutRef = React.useRef(null);
  var copy = function copy() {
    navigator.clipboard.writeText(text);
    setIsCopied(true);
    if (timeoutRef.current) {
      clearTimeout(timeoutRef.current);
    }
    timeoutRef.current = setTimeout(function () {
      setIsCopied(false);
    }, 5000);
  };
  return /*#__PURE__*/React__default["default"].createElement(Button, {
    className: Styles$5['copy-button'],
    onClick: copy,
    variant: "text"
  }, isCopied ? /*#__PURE__*/React__default["default"].createElement(IconCheckMark, {
    className: Styles$5['copy-icon']
  }) : /*#__PURE__*/React__default["default"].createElement(IconCopy, {
    className: Styles$5['copy-icon']
  }), /*#__PURE__*/React__default["default"].createElement("span", {
    className: Styles$5['copy-text']
  }, isCopied ? 'Copied!' : 'Copy All'));
};
CopyAllButton.propTypes = {
  text: PropTypes__default["default"].any
};
CopyAllButton.defaultProps = {
  text: ''
};

var NoResponseText = function NoResponseText() {
  return /*#__PURE__*/React__default["default"].createElement("h4", {
    className: Styles$6['no-payload']
  }, "This request has no response data available.");
};
var Response = function Response(_ref) {
  var data = _ref.data;
  var content = data && data.body ? data.body : null;
  if (!content) {
    return /*#__PURE__*/React__default["default"].createElement(NoResponseText, null);
  }
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['section-detail']
  }, /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['payload-content']
  }, /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['copy-button']
  }, /*#__PURE__*/React__default["default"].createElement(CopyAllButton, {
    text: content
  })), /*#__PURE__*/React__default["default"].createElement("span", {
    className: Styles$6['payload-body']
  }, content)));
};
Response.propTypes = {
  data: PropTypes__default["default"].object
};
Response.defaultProps = {
  data: null
};

var QueryString = function QueryString(_ref) {
  var data = _ref.data,
    isPayloadTransformed = _ref.isPayloadTransformed;
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['section-detail']
  }, data.headers.queryString.map(function (_ref2, index) {
    var name = _ref2.name,
      value = _ref2.value;
    return /*#__PURE__*/React__default["default"].createElement("div", {
      key: "".concat(name, "-").concat(index),
      className: Styles$6['info-row']
    }, /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$6['info-caption']
    }, "".concat(name, ":")), /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$6['info-value']
    }, isPayloadTransformed ? decodeURIComponent(value) : value));
  }));
};
QueryString.propTypes = {
  data: PropTypes__default["default"].object,
  isPayloadTransformed: PropTypes__default["default"].bool.isRequired
};
QueryString.defaultProps = {
  data: null
};

var FormData = function FormData(_ref) {
  var data = _ref.data,
    isPayloadTransformed = _ref.isPayloadTransformed;
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['section-detail']
  }, data.headers.postData.params.map(function (_ref2, index) {
    var name = _ref2.name,
      value = _ref2.value;
    return /*#__PURE__*/React__default["default"].createElement("div", {
      key: "".concat(name, "-").concat(index),
      className: Styles$6['info-row']
    }, /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$6['info-caption']
    }, "".concat(name, ":")), /*#__PURE__*/React__default["default"].createElement("span", {
      className: Styles$6['info-value']
    }, isPayloadTransformed ? decodeURIComponent(value) : value));
  }));
};
FormData.propTypes = {
  data: PropTypes__default["default"].object,
  isPayloadTransformed: PropTypes__default["default"].bool.isRequired
};
FormData.defaultProps = {
  data: null
};

var RequestPayload = function RequestPayload(_ref) {
  var data = _ref.data,
    isPayloadTransformed = _ref.isPayloadTransformed;
  var payloadData = data.headers.postData.text;
  var parsedData = React.useMemo(function () {
    return parseRequestPayload(payloadData);
  }, [payloadData]);
  var payload = isPayloadTransformed ? parsedData : payloadData;
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['section-detail']
  }, /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['payload-content']
  }, /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['copy-button']
  }, /*#__PURE__*/React__default["default"].createElement(CopyAllButton, {
    text: payload
  })), /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$6['payload-body']
  }, payload)));
};
RequestPayload.propTypes = {
  data: PropTypes__default["default"].object,
  isPayloadTransformed: PropTypes__default["default"].bool.isRequired
};
RequestPayload.defaultProps = {
  data: null
};

var Request = function Request(_ref) {
  var _data$headers$postDat, _data$headers$postDat2, _data$headers$querySt;
  var data = _ref.data;
  if (!((_data$headers$postDat = data.headers.postData) !== null && _data$headers$postDat !== void 0 && _data$headers$postDat.text) && !((_data$headers$postDat2 = data.headers.postData) !== null && _data$headers$postDat2 !== void 0 && _data$headers$postDat2.params) && !((_data$headers$querySt = data.headers.queryString) !== null && _data$headers$querySt !== void 0 && _data$headers$querySt.length)) {
    return /*#__PURE__*/React__default["default"].createElement("h4", {
      className: Styles$6['no-payload']
    }, "This request has no request data available.");
  }
  return !data ? null : /*#__PURE__*/React__default["default"].createElement("section", {
    className: Styles$6['section-container']
  }, data.headers.postData && data.headers.postData.text && /*#__PURE__*/React__default["default"].createElement(SectionInfo, {
    component: RequestPayload,
    data: data,
    eventKey: "requestPayload",
    isParseEnabled: true,
    isVisible: true
  }), data.headers.queryString && !!data.headers.queryString.length && /*#__PURE__*/React__default["default"].createElement(SectionInfo, {
    component: QueryString,
    data: data,
    eventKey: "queryString",
    isEncodeEnabled: true
  }), data.headers.postData && data.headers.postData.params && /*#__PURE__*/React__default["default"].createElement(SectionInfo, {
    component: FormData,
    data: data,
    eventKey: "formData",
    isEncodeEnabled: true
  }));
};
Request.propTypes = {
  data: PropTypes__default["default"].object
};
Request.defaultProps = {
  data: null
};

var ReqDetailContainer = function ReqDetailContainer() {
  var _useNetwork = useNetwork(),
    actions = _useNetwork.actions,
    state = _useNetwork.state;
  var reqDetail = state.get('reqDetail');
  var handleCloseClick = function handleCloseClick() {
    actions.selectRequest(null);
  };
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$8['req-detail-container']
  }, /*#__PURE__*/React__default["default"].createElement("button", {
    "aria-label": "Close button",
    className: Styles$8['close-button'],
    onClick: handleCloseClick,
    type: "button"
  }, /*#__PURE__*/React__default["default"].createElement(IconCloseSign, {
    className: Styles$8['close-icon']
  })), /*#__PURE__*/React__default["default"].createElement(Tabs, {
    activeClassName: Styles$8.active,
    defaultSelectedKey: "headers",
    navLinkClassName: Styles$8['tab-link'],
    navTabsClassName: Styles$8['nav-tabs'],
    tabsContainerClassName: Styles$8['tabs-container']
  }, /*#__PURE__*/React__default["default"].createElement(Tab, {
    eventKey: "headers",
    name: "Headers"
  }, /*#__PURE__*/React__default["default"].createElement(Headers, {
    data: reqDetail
  })), /*#__PURE__*/React__default["default"].createElement(Tab, {
    eventKey: "request",
    name: "Request"
  }, /*#__PURE__*/React__default["default"].createElement(Request, {
    data: reqDetail
  })), /*#__PURE__*/React__default["default"].createElement(Tab, {
    eventKey: "response",
    name: "Response"
  }, /*#__PURE__*/React__default["default"].createElement(Response, {
    data: reqDetail
  }))));
};

var css_248z$4 = ".MainContainer-styles__viewer-container___l41Pm{display:flex;flex-direction:column;height:100%;justify-content:space-between}.MainContainer-styles__main-container___DyCC-{display:flex;height:100%;outline:none;overflow:auto;overflow-x:hidden;width:100%}";
var Styles$4 = {"brandBlue":"#0E75DD","viewer-container":"MainContainer-styles__viewer-container___l41Pm","main-container":"MainContainer-styles__main-container___DyCC-"};
styleInject(css_248z$4);

var css_248z$3 = ".TimelineContainer-styles__timeline-container___aDQbZ{border-bottom:1px solid #d8dde3;width:100%}";
var Styles$3 = {"brandBlue":"#0E75DD","timeline-container":"TimelineContainer-styles__timeline-container___aDQbZ"};
styleInject(css_248z$3);

var css_248z$2 = ".TimelineChart-styles__chart-container___Hkzqm{margin:0 8px}.TimelineChart-styles__scatter-chart___Umnwb tspan{fill:gray;font-size:10px}";
var Styles$2 = {"brandBlue":"#0E75DD","chart-container":"TimelineChart-styles__chart-container___Hkzqm","scatter-chart":"TimelineChart-styles__scatter-chart___Umnwb"};
styleInject(css_248z$2);

var TimelineDatapoint = function TimelineDatapoint(_ref) {
  var payload = _ref.payload,
    maxTime = _ref.maxTime,
    cx = _ref.cx,
    cy = _ref.cy,
    index = _ref.index;
  var timings = payload.timings;
  var chartAttributes = React.useMemo(function () {
    return calcChartAttributes(timings, maxTime, cx, index, cy);
  }, [timings, maxTime]);
  if (!payload) {
    return null;
  }
  return /*#__PURE__*/React__default["default"].createElement("g", null, chartAttributes.map(function (chartProps) {
    return /*#__PURE__*/React__default["default"].createElement("rect", _extends({
      key: chartProps.key
    }, chartProps, {
      height: TIMELINE_DATA_POINT_HEIGHT
    }));
  }));
};
TimelineDatapoint.propTypes = {
  cx: PropTypes__default["default"].number,
  cy: PropTypes__default["default"].number,
  index: PropTypes__default["default"].number,
  maxTime: PropTypes__default["default"].number.isRequired,
  payload: PropTypes__default["default"].object
};
TimelineDatapoint.defaultProps = {
  cx: 0,
  cy: 0,
  index: 0,
  payload: null
};

var css_248z$1 = ".TimelineTooltip-styles__tooltip___lq96r{background:#fff;border:1px solid #e6e6e6;border-radius:3px;color:#555;display:block;font-size:12px;height:auto;opacity:1;padding:8px;width:300px}.TimelineTooltip-styles__content___dsjFO{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}";
var Styles$1 = {"brandBlue":"#0E75DD","tooltip":"TimelineTooltip-styles__tooltip___lq96r","content":"TimelineTooltip-styles__content___dsjFO"};
styleInject(css_248z$1);

var TimelineTooltip = function TimelineTooltip(_ref) {
  var payload = _ref.payload;
  if (!payload || !payload.length) {
    return null;
  }
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$1.tooltip
  }, /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$1.content
  }, payload[0].payload.filename), /*#__PURE__*/React__default["default"].createElement("div", null, "Started at: ".concat(formatTime(payload[0].payload.timings.startTime))));
};
TimelineTooltip.propTypes = {
  payload: PropTypes__default["default"].array
};
TimelineTooltip.defaultProps = {
  payload: null
};

var TimelineChart = function TimelineChart(_ref) {
  var chartData = _ref.chartData,
    totalNetworkTime = _ref.totalNetworkTime;
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$2['chart-container']
  }, /*#__PURE__*/React__default["default"].createElement(recharts.ResponsiveContainer, {
    height: 100,
    width: "100%"
  }, /*#__PURE__*/React__default["default"].createElement(recharts.ScatterChart, {
    className: Styles$2['scatter-chart']
  }, /*#__PURE__*/React__default["default"].createElement(recharts.XAxis, {
    axisLine: false,
    dataKey: "timings.startTime",
    domain: [0, totalNetworkTime],
    interval: "preserveStartEnd",
    orientation: "top",
    tickCount: 10,
    tickFormatter: formatTime,
    tickLine: false,
    type: "number"
  }), /*#__PURE__*/React__default["default"].createElement(recharts.YAxis, {
    dataKey: "index",
    domain: ['min', 'max'],
    hide: true,
    reversed: true
  }), /*#__PURE__*/React__default["default"].createElement(recharts.Tooltip, {
    content: /*#__PURE__*/React__default["default"].createElement(TimelineTooltip, null)
  }), /*#__PURE__*/React__default["default"].createElement(recharts.Scatter, {
    data: chartData,
    shape: /*#__PURE__*/React__default["default"].createElement(TimelineDatapoint, {
      maxTime: totalNetworkTime
    })
  }))));
};
TimelineChart.propTypes = {
  chartData: PropTypes__default["default"].array.isRequired,
  totalNetworkTime: PropTypes__default["default"].number.isRequired
};

var TimelineContainer = function TimelineContainer() {
  var _useNetwork = useNetwork(),
    state = _useNetwork.state;
  var data = state.get('data');
  var actualData = state.get('actualData');
  var error = state.get('error');
  var totalNetworkTime = state.get('totalNetworkTime');
  if (error || !actualData.size) {
    return null;
  }
  return /*#__PURE__*/React__default["default"].createElement("section", {
    className: Styles$3['timeline-container']
  }, /*#__PURE__*/React__default["default"].createElement(TimelineChart, {
    chartData: data.toArray(),
    totalNetworkTime: totalNetworkTime
  }));
};

var context = classNames__default["default"].bind(Styles$h);
var NetworkTableFooter = function NetworkTableFooter(_ref) {
  var dataSummary = _ref.dataSummary,
    showAllInfo = _ref.showAllInfo;
  return /*#__PURE__*/React__default["default"].createElement("div", {
    className: context('network-table-footer')
  }, showAllInfo ? /*#__PURE__*/React__default["default"].createElement(React__default["default"].Fragment, null, /*#__PURE__*/React__default["default"].createElement("span", null, "".concat(dataSummary.get('totalRequests'), " requests")), /*#__PURE__*/React__default["default"].createElement("span", null, "".concat(formatSize(dataSummary.get('totalTransferredSize')), " transferred")), /*#__PURE__*/React__default["default"].createElement("span", null, "".concat(formatSize(dataSummary.get('totalUncompressedSize')), " resources")), /*#__PURE__*/React__default["default"].createElement("span", null, "Finished: ".concat(formatTime(dataSummary.get('finish')))), /*#__PURE__*/React__default["default"].createElement("span", null, "DOMContentLoaded: ".concat(formatTime(dataSummary.get('timings').DOMContentLoaded))), /*#__PURE__*/React__default["default"].createElement("span", null, "Load: ".concat(formatTime(dataSummary.get('timings').onLoad)))) : /*#__PURE__*/React__default["default"].createElement("span", null, "".concat(dataSummary.get('totalRequests'), " requests")));
};
NetworkTableFooter.propTypes = {
  dataSummary: PropTypes__default["default"].object.isRequired,
  showAllInfo: PropTypes__default["default"].bool
};
NetworkTableFooter.defaultProps = {
  showAllInfo: true
};

var MainContainer = function MainContainer() {
  var _useNetwork = useNetwork(),
    state = _useNetwork.state;
  var _useTheme = useTheme(),
    showTimeline = _useTheme.showTimeline;
  var loading = state.get('loading');
  var showReqDetail = state.get('showReqDetail');
  var dataSummary = state.get('dataSummary');
  var actualData = state.get('actualData');
  return /*#__PURE__*/React__default["default"].createElement(React__default["default"].Fragment, null, /*#__PURE__*/React__default["default"].createElement(LoaderContainer, {
    show: loading,
    text: FETCH_FILE_LOAD_TEXT
  }, /*#__PURE__*/React__default["default"].createElement("div", {
    className: Styles$4['viewer-container']
  }, /*#__PURE__*/React__default["default"].createElement("div", null, showTimeline && /*#__PURE__*/React__default["default"].createElement(TimelineContainer, null), /*#__PURE__*/React__default["default"].createElement(FilterContainer, null)), /*#__PURE__*/React__default["default"].createElement("section", {
    className: Styles$4['main-container']
  }, /*#__PURE__*/React__default["default"].createElement(NetworkTableContainer, null), showReqDetail && /*#__PURE__*/React__default["default"].createElement(ReqDetailContainer, null)), actualData.size ? /*#__PURE__*/React__default["default"].createElement(NetworkTableFooter, {
    dataSummary: dataSummary
  }) : null)));
};

var css_248z = ".NetworkViewer-styles__network-viewer___H9u5-{height:100%}.NetworkViewer-styles__network-viewer___H9u5- *{box-sizing:border-box}";
var Styles = {"network-viewer":"NetworkViewer-styles__network-viewer___H9u5-"};
styleInject(css_248z);

var contextClassNames = classNames__default["default"].bind(Styles);
var NetworkViewer = function NetworkViewer(_ref) {
  var file = _ref.file,
    data = _ref.data,
    fetchOptions = _ref.fetchOptions,
    scrollTimeStamp = _ref.scrollTimeStamp,
    options = _ref.options,
    onPause = _ref.onPause,
    onRequestSelect = _ref.onRequestSelect,
    onResume = _ref.onResume,
    onReset = _ref.onReset,
    scrollRequestPosition = _ref.scrollRequestPosition,
    autoHighlightChange = _ref.autoHighlightChange,
    onDataLoaded = _ref.onDataLoaded,
    onDataError = _ref.onDataError,
    containerClassName = _ref.containerClassName;
  return /*#__PURE__*/React__default["default"].createElement("section", {
    className: contextClassNames('network-viewer', containerClassName)
  }, /*#__PURE__*/React__default["default"].createElement(ThemeProvider, {
    options: options
  }, /*#__PURE__*/React__default["default"].createElement(NetworkProvider, {
    autoHighlightChange: autoHighlightChange,
    data: data,
    fetchOptions: fetchOptions,
    file: file,
    onDataError: onDataError,
    onDataLoaded: onDataLoaded,
    onPause: onPause,
    onRequestSelect: onRequestSelect,
    onReset: onReset,
    onResume: onResume,
    scrollRequestPosition: scrollRequestPosition,
    scrollTimeStamp: scrollTimeStamp
  }, /*#__PURE__*/React__default["default"].createElement(MainContainer, null))));
};
NetworkViewer.propTypes = {
  autoHighlightChange: PropTypes__default["default"].bool,
  containerClassName: PropTypes__default["default"].string,
  data: PropTypes__default["default"].object,
  fetchOptions: PropTypes__default["default"].object,
  file: PropTypes__default["default"].string,
  onDataError: PropTypes__default["default"].func,
  onDataLoaded: PropTypes__default["default"].func,
  onPause: PropTypes__default["default"].func,
  onRequestSelect: PropTypes__default["default"].func,
  onReset: PropTypes__default["default"].func,
  onResume: PropTypes__default["default"].func,
  options: PropTypes__default["default"].object,
  scrollRequestPosition: PropTypes__default["default"].oneOf(['before', 'after', 'near']),
  scrollTimeStamp: PropTypes__default["default"].number
};
NetworkViewer.defaultProps = {
  autoHighlightChange: false,
  containerClassName: null,
  data: null,
  fetchOptions: {
    withCredentials: true
  },
  file: null,
  onDataError: null,
  onDataLoaded: null,
  onPause: function onPause() {},
  onRequestSelect: function onRequestSelect() {},
  onReset: function onReset() {},
  onResume: function onResume() {},
  options: null,
  scrollRequestPosition: 'near',
  scrollTimeStamp: null
};

exports.NetworkViewer = NetworkViewer;
//# sourceMappingURL=index.js.map
